<?php
/**
 * The template file to display the block.
 *
 * Available parameters:
 * @param array $attributes The block attributes.
 * @param bool  $is_preview Whether in the preview mode.
 */

// Fields data.
if ( empty( $attributes['data'] ) ) {
	return;
}

// Unique HTML ID if available.
$block_id = 'campoal-comments-list-' . ( $attributes['id'] ?? '' );
if ( ! empty( $attributes['anchor'] ) ) {
	$block_id = $attributes['anchor'];
}

// Custom CSS class name.
$class = 'campoal-comments-list ' . ( $attributes['className'] ?? '' );
if ( ! empty( $attributes['align'] ) ) {
	$class .= " align{$attributes['align']}";
}

extract(shortcode_atts(array(
	'id' => '',
	'comments_sort' => 'newest',
	'replies_sort' => 'newest',
	'comments_per_page' => 10,
	'reply_per_comment' => 2,
), $attributes['data']));

$return_string = conikal_comments_list_render($attributes['data'], null);
?>
<div id="<?= $block_id ?>" class="<?= $class ?>">
	<?php echo $return_string; ?>
</div>
