<?php
// Register a heading block for Gutenberg.
add_filter( 'rwmb_meta_boxes', function( $meta_boxes ) {
	$meta_boxes[] = [
		'title' => esc_html__('Heading', 'campoal-tapo'),
		'id'    => 'heading',
		'type'  => 'block', // Important.
		'mode' 	=> 'edit',
		// 'icon'  => 'awards', // Or you can set a custom SVG if you don't like Dashicons
		'icon'  => '<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><!-- Font Awesome Pro 5.15.4 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Commercial License) --><defs><style>.fa-secondary{opacity:.4}</style></defs><path d="M480 32H320a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h160a16 16 0 0 0 16-16V48a16 16 0 0 0-16-16zm-288 0H32a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h160a16 16 0 0 0 16-16V48a16 16 0 0 0-16-16zm0 384H32a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h160a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zm288 0H320a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h160a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16z" class="fa-secondary"/><path d="M352 96h96v320h-96V288H160v128H64V96h96v128h192z" class="fa-primary"/></svg>',
		'category' => 'campoal',
		'context' => 'side', // The block settings will be available on the right sidebar.
		'supports' => [
			'align' => ['wide', 'full'],
		],
		// 'render_callback' => 'conikal_featured_posts_shortcode',
		'render_template' => plugin_dir_path( __FILE__ ) . 'template.php', // The PHP template that renders the block.
		// 'enqueue_style'   => plugin_dir_path( __FILE__ ) . 'style.css', // CSS file for the block.

		// Now register the block fields.
		'fields' => [
			[
				'type' 			=> 'text',
				'id'   			=> 'title',
				'name' 			=> esc_html__('Section Title', 'campoal-tapo'),
				'placeholder'   => esc_html__('Enter a title', 'campoal-tapo'),
			],
			[
				'type' 			=> 'wysiwyg',
				'id'   			=> 'content',
				'raw'     		=> false,
				'name' 			=> esc_html__('Description', 'campoal-tapo'),
				'placeholder'   => esc_html__('Enter text below heading', 'campoal-tapo'),
			],
			[
				'type' 			=> 'button_group',
				'id'   			=> 'align',
				'name' 			=> esc_html__('Title Alignment', 'campoal-tapo'),
				'options' => array(
					'left' 		=> '<span class="dashicons dashicons-editor-alignleft"></span>',
					'center' 	=> '<span class="dashicons dashicons-editor-aligncenter"></span>',
					'right' 	=> '<span class="dashicons dashicons-editor-alignright"></span>',
				),
				'inline'   		=> true,
			],
			[
				'type' => 'select',
				'id'   => 'size',
				'name' => esc_html__('Size', 'campoal-tapo'),
				'options' => array(
					'normal' 	=> esc_html__('Normal', 'campoal-tapo'),
					'tiny' 		=> esc_html__('Tiny', 'campoal-tapo'),
					'small' 	=> esc_html__('Small', 'campoal-tapo'),
					'medium' 	=> esc_html__('Medium', 'campoal-tapo'),
					'large' 	=> esc_html__('Large', 'campoal-tapo'),
					'huge' 		=> esc_html__('Huge', 'campoal-tapo'),
				),
				'placeholder'   => esc_html__('Default', 'campoal-tapo'),
			],
			[
				'type' => 'select',
				'id'   => 'border',
				'name' => esc_html__('Border', 'campoal-tapo'),
				'options' => array(
					'none' 		=> esc_html__('None', 'campoal-tapo'),
					'short' 	=> esc_html__('Short', 'campoal-tapo'),
					'long' 		=> esc_html__('Long', 'campoal-tapo'),
					'full' 		=> esc_html__('Full', 'campoal-tapo'),
				),
				'placeholder'   => esc_html__('Default', 'campoal-tapo'),
			],
			[
				'type' => 'select',
				'id'   => 'padding',
				'name' => esc_html__('Padding', 'campoal-tapo'),
				'options' => array(
					'no' 			=> esc_html__('No', 'campoal-tapo'),
					'padded' 		=> esc_html__('Padded', 'campoal-tapo'),
					'very padded' 	=> esc_html__('Very Padded', 'campoal-tapo'),
				),
				'placeholder'     	=> esc_html__('Default', 'campoal-tapo'),
			],
			[
				'type' => 'checkbox',
				'id'   => 'invert',
				'name' => esc_html__('Invert color', 'campoal-tapo'),
			],
		],
	];
	return $meta_boxes;
} );
