<?php
/**
 * The template file to display the block.
 *
 * Available parameters:
 * @param array $attributes The block attributes.
 * @param bool  $is_preview Whether in the preview mode.
 */

// Fields data.
if ( empty( $attributes['data'] ) ) {
	return;
}
// Unique HTML ID if available.
$block_id = 'campoal-icon-box-' . ( $attributes['id'] ?? '' );
if ( ! empty( $attributes['anchor'] ) ) {
	$block_id = $attributes['anchor'];
}

// Custom CSS class name.
$class = 'campoal-icon-box ' . ( $attributes['className'] ?? '' );
if ( ! empty( $attributes['align'] ) ) {
	$class .= " align{$attributes['align']}";
}

extract(shortcode_atts(array(
	'icon_type' 		=> 'icon',
	'icon' 				=> 'empty-star',
	'icon_image' 		=> '',
	'size' 				=> '60',
	'title' 			=> '',
	'content' 			=> '',
	'align' 			=> 'center',
	'style' 			=> 'vertical',
	'type' 				=> 'normal',
	'heading_size' 		=> 'medium',
	'heading_border' 	=> 'none',
	'padding' 			=> 'no',
	'invert' 			=> 'no',
	'color' 			=> '',
	'text_color' 		=> '',
	'link' 				=> '',
), $attributes['data']));

$return_string = conikal_icon_box_render($attributes['data'], $content);

?>
<div id="<?= $block_id ?>" class="<?= $class ?>">
	<?php echo $return_string; ?>
</div>
