<?php
// Register a progressive bar block for Gutenberg.
add_filter( 'rwmb_meta_boxes', function( $meta_boxes ) {
	$meta_boxes[] = [
		'title' => esc_html__('Progressive Bar', 'campoal-tapo'),
		'id'    => 'progressive-bar',
		'type'  => 'block', // Important.
		'mode' 	=> 'edit',
		// 'icon'  => 'awards', // Or you can set a custom SVG if you don't like Dashicons
		'icon'  => '<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><!-- Font Awesome Pro 5.15.4 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Commercial License) --><defs><style>.fa-secondary{opacity:.4}</style></defs><path d="M488.12 352H23.94A23.94 23.94 0 0 0 0 375.88V456a23.94 23.94 0 0 0 23.88 24h464.18A23.94 23.94 0 0 0 512 456.12V376a23.94 23.94 0 0 0-23.88-24zM464 432H48v-32h416zm24.12-240H23.94A23.94 23.94 0 0 0 0 215.88V296a23.94 23.94 0 0 0 23.88 24h464.18A23.94 23.94 0 0 0 512 296.12V216a23.94 23.94 0 0 0-23.88-24zM464 272H48v-32h416zm24.12-240H23.94A23.94 23.94 0 0 0 0 55.88V136a23.94 23.94 0 0 0 23.88 24h464.18A23.94 23.94 0 0 0 512 136.12V56a23.94 23.94 0 0 0-23.88-24zM464 112H48V80h416z" class="fa-secondary"/><path d="M48 80v32h304V80zm112 160H48v32h112zM48 432h240v-32H48z" class="fa-primary"/></svg>',
		'category' => 'campoal',
		'context' => 'side', // The block settings will be available on the right sidebar.
		'supports' => [
			'align' => ['wide', 'full'],
		],
		// 'render_callback' => 'conikal_featured_posts_shortcode',
		'render_template' => plugin_dir_path( __FILE__ ) . 'template.php', // The PHP template that renders the block.
		// 'enqueue_style'   => plugin_dir_path( __FILE__ ) . 'style.css', // CSS file for the block.

		// Now register the block fields.
		'fields' => [
			[
				'type' 			=> 'post',
				'post_type'		=> array('petition'),
				'id'   			=> 'id',
				'name' 			=> esc_html__('Petition ID', 'campoal-tapo'),
				'placeholder'   => esc_html__('Enter an Petition ID', 'campoal-tapo'),
				'field_type' 	=> 'select_advanced',
			],
			[
				'type' => 'select',
				'id'   => 'heading',
				'name' => 'Heading',
				'options' => array(
					'h1' 	=> esc_html__('Heading 1', 'campoal-tapo'),
					'h2' 	=> esc_html__('Heading 2', 'campoal-tapo'),
					'h3' 	=> esc_html__('Heading 3', 'campoal-tapo'),
					'h4' 	=> esc_html__('Heading 4', 'campoal-tapo'),
					'h5' 	=> esc_html__('Heading 5', 'campoal-tapo'),
				),
				'placeholder'   => esc_html__('Default', 'campoal-tapo'),
			],
			[
				'type' => 'select',
				'id'   => 'size',
				'name' => 'Size',
				'options' => array(
					'tiny' 		=> esc_html__('Tiny', 'campoal-tapo'),
					'small' 	=> esc_html__('Small', 'campoal-tapo'),
					'medium' 	=> esc_html__('Medium', 'campoal-tapo'),
					'large' 	=> esc_html__('Large', 'campoal-tapo'),
					'big' 		=> esc_html__('Big', 'campoal-tapo'),
				),
				'placeholder'   => esc_html__('Default', 'campoal-tapo'),
			],
			[
				'type' => 'select',
				'id'   => 'show_label',
				'name' => esc_html__('Show label', 'campoal-tapo'),
				'options' => array(
					'both' 		=> esc_html__('Both above & below', 'campoal-tapo'),
					'above' 	=> esc_html__('Above label', 'campoal-tapo'),
					'below' 	=> esc_html__('Below label', 'campoal-tapo'),
				),
				'placeholder'   => esc_html__('Default', 'campoal-tapo'),
			],
		],
	];
	return $meta_boxes;
} );
