<?php
add_filter( 'rwmb_meta_boxes', function( $meta_boxes ) {
	// Register a sign share block for Gutenberg.
	$type_arg = array(
		'sign' => esc_html__('Sign', 'campoal-tapo'),
		'share' => esc_html__('Share', 'campoal-tapo'),
	);
	if (class_exists('Give')) {
		$type_arg['contribute'] = esc_html__('Contribute', 'campoal-tapo');
	}

	$meta_boxes[] = [
		'title' => esc_html__('Sign and Share', 'campoal-tapo'),
		'id'    => 'sign-share',
		'type'  => 'block', // Important.
		'mode' 	=> 'edit',
		// 'icon'  => 'awards', // Or you can set a custom SVG if you don't like Dashicons
		'icon'  => '<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><!-- Font Awesome Pro 5.15.4 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Commercial License) --><defs><style>.fa-secondary{opacity:.4}</style></defs><path d="M448 0H64A64.06 64.06 0 0 0 0 64v288a64.06 64.06 0 0 0 64 64h96v84a12 12 0 0 0 19.1 9.7L304 416h144a64.06 64.06 0 0 0 64-64V64a64.06 64.06 0 0 0-64-64zM215.4 310.6l-48.2 5.4a10.17 10.17 0 0 1-11.2-11.2l5.4-48.2 96.3-96.3 54 54zm150.7-150.7l-31.8 31.8-54-54 31.8-31.8a20.22 20.22 0 0 1 28.6 0l25.4 25.4a20.22 20.22 0 0 1 0 28.6z" class="fa-secondary"/><path d="M161.4 256.6l-5.4 48.2a10.17 10.17 0 0 0 11.2 11.2l48.2-5.4 96.3-96.3-54-54zm204.7-125.3l-25.4-25.4a20.22 20.22 0 0 0-28.6 0l-31.8 31.8 54 54 31.8-31.8a20.22 20.22 0 0 0 0-28.6z" class="fa-primary"/></svg>',
		'category' => 'campoal',
		'context' => 'side', // The block settings will be available on the right sidebar.
		'supports' => [
			'align' => ['wide', 'full'],
		],
		// 'render_callback' => 'conikal_featured_posts_shortcode',
		'render_template' => plugin_dir_path( __FILE__ ) . 'template.php', // The PHP template that renders the block.
		// 'enqueue_style'   => plugin_dir_path( __FILE__ ) . 'style.css', // CSS file for the block.

		// Now register the block fields.
		'fields' => [
			[
				'type' 			=> 'post',
				'post_type'		=> array('petition'),
				'id'   			=> 'id',
				'name' 			=> esc_html__('Petition ID', 'campoal-tapo'),
				'placeholder'   => esc_html__('ID of Petition', 'campoal-tapo'),
				'field_type' 	=> 'select_advanced',
			],
			[
				'type' => 'select',
				'id'   => 'type',
				'name' => esc_html__('Type', 'campoal-tapo'),
				'options' => $type_arg,
				'placeholder'     => esc_html__('Default', 'campoal-tapo'),
			],
			[
				'type' => 'select',
				'id'   => 'mode',
				'name' => esc_html__('Mode', 'campoal-tapo'),
				'options' => array(
					'always'	=> esc_html__('Always', 'campoal-tapo'),
					'show' 		=> esc_html__('Show after sign', 'campoal-tapo'),
					'hide' 		=> esc_html__('Hide after sign', 'campoal-tapo'),
				),
				'placeholder'     => esc_html__('Default', 'campoal-tapo'),
			],
			[
				'type' 			=> 'post',
				'post_type'		=> array('page'),
				'id'   			=> 'custom_share_link',
				'name' 			=> esc_html__('Custom share link', 'campoal-tapo'),
				'placeholder'   => esc_html__('ID of Page', 'campoal-tapo'),
				'field_type' 	=> 'select_advanced',
			],
			[
				'type' => 'checkbox',
				'id'   => 'share_link_type',
				'name' => esc_html__('Share current page', 'campoal-tapo'),
				'std'  => 1
			],
			[
				'type' => 'checkbox',
				'id'   => 'prompt_action',
				'name' => esc_html__('Prompt action', 'campoal-tapo'),
				'std'  => 1
			],
			[
				'type' => 'checkbox',
				'id'   => 'desktop_only',
				'name' => esc_html__('Only show on desktop', 'campoal-tapo'),
				'std'  => 0
			],
		],
	];
	return $meta_boxes;
} );
