<?php
// Register a home feed block for Gutenberg.
add_filter( 'rwmb_meta_boxes', function( $meta_boxes ) {
	$meta_boxes[] = [
		'title' => esc_html__('Sticky Category', 'campoal-tapo'),
		'id'    => 'sticky-category',
		'type'  => 'block', // Important.
		'mode' 	=> 'edit',
		// 'icon'  => 'awards', // Or you can set a custom SVG if you don't like Dashicons
		'icon'  => '<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><!-- Font Awesome Pro 5.15.4 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Commercial License) --><defs><style>.fa-secondary{opacity:.4}</style></defs><path d="M464 32H48A48 48 0 0 0 0 80v352a48 48 0 0 0 48 48h416a48 48 0 0 0 48-48V80a48 48 0 0 0-48-48zM128 392a40 40 0 1 1 40-40 40 40 0 0 1-40 40zm0-96a40 40 0 1 1 40-40 40 40 0 0 1-40 40zm0-96a40 40 0 1 1 40-40 40 40 0 0 1-40 40zm288 168a12 12 0 0 1-12 12H204a12 12 0 0 1-12-12v-32a12 12 0 0 1 12-12h200a12 12 0 0 1 12 12zm0-96a12 12 0 0 1-12 12H204a12 12 0 0 1-12-12v-32a12 12 0 0 1 12-12h200a12 12 0 0 1 12 12zm0-96a12 12 0 0 1-12 12H204a12 12 0 0 1-12-12v-32a12 12 0 0 1 12-12h200a12 12 0 0 1 12 12z" class="fa-secondary"/><path d="M128 200a40 40 0 1 0-40-40 40 40 0 0 0 40 40zm0 16a40 40 0 1 0 40 40 40 40 0 0 0-40-40zm0 96a40 40 0 1 0 40 40 40 40 0 0 0-40-40z" class="fa-primary"/></svg>',
		'category' => 'campoal',
		'context' => 'side', // The block settings will be available on the right sidebar.
		'supports' => [
			'align' => ['wide', 'full'],
		],
		// 'render_callback' => 'conikal_featured_posts_shortcode',
		'render_template' => plugin_dir_path( __FILE__ ) . 'template.php', // The PHP template that renders the block.
		// 'enqueue_style'   => plugin_dir_path( __FILE__ ) . 'style.css', // CSS file for the block.

		// Now register the block fields.
		'fields' => [
			[
				'type' 			=> 'text',
				'id'   			=> 'title',
				'name' 			=> esc_html__('Section Title', 'campoal-tapo'),
				'placeholder'   => esc_html__('Enter a title', 'campoal-tapo'),
			],
			[
				'type' 			=> 'button_group',
				'id'   			=> 'align',
				'name' 			=> esc_html__('Title Alignment', 'campoal-tapo'),
				'options' => array(
					'left' 		=> '<span class="dashicons dashicons-editor-alignleft"></span>',
					'center' 	=> '<span class="dashicons dashicons-editor-aligncenter"></span>',
					'right' 	=> '<span class="dashicons dashicons-editor-alignright"></span>',
				),
				'inline'   		=> true,
			],
			[
				'type' => 'select',
				'id'   => 'size',
				'name' => esc_html__('Title Size', 'campoal-tapo'),
				'options' => array(
					'normal' 	=> esc_html__('Normal', 'campoal-tapo'),
					'tiny' 		=> esc_html__('Tiny', 'campoal-tapo'),
					'small' 	=> esc_html__('Small', 'campoal-tapo'),
					'medium' 	=> esc_html__('Medium', 'campoal-tapo'),
					'large' 	=> esc_html__('Large', 'campoal-tapo'),
					'huge' 		=> esc_html__('Huge', 'campoal-tapo'),
				),
				'placeholder'   => esc_html__('Default', 'campoal-tapo'),
			],
			[
				'type' => 'select',
				'id'   => 'menu_size',
				'name' => esc_html__('Menu Size', 'campoal-tapo'),
				'options' => array(
					'mini' 	=> esc_html__('Mini', 'campoal-tapo'),
					'tiny' 		=> esc_html__('Tiny', 'campoal-tapo'),
					'small' 	=> esc_html__('Small', 'campoal-tapo'),
					'medium' 	=> esc_html__('Medium', 'campoal-tapo'),
					'large' 	=> esc_html__('Large', 'campoal-tapo'),
					'huge' 		=> esc_html__('Huge', 'campoal-tapo'),
					'massive' 	=> esc_html__('Massive', 'campoal-tapo'),
				),
				'placeholder'   => esc_html__('Default', 'campoal-tapo'),
			],
			[
				'type' => 'checkbox',
				'id'   => 'no_sticky',
				'name' => esc_html__('No Sticky', 'campoal-tapo'),
			],
			[
				'type' => 'checkbox',
				'id'   => 'hide_copyright',
				'name' => esc_html__('Hide copyright', 'campoal-tapo'),
			],
		],
	];
	return $meta_boxes;
} );
