<?php
/**
 * The template file to display the block.
 *
 * Available parameters:
 * @param array $attributes The block attributes.
 * @param bool  $is_preview Whether in the preview mode.
 */

// Fields data.
if ( empty( $attributes['data'] ) ) {
	return;
}
// Unique HTML ID if available.
$block_id = 'campoal-blog-posts-' . ( $attributes['id'] ?? '' );
if ( ! empty( $attributes['anchor'] ) ) {
	$block_id = $attributes['anchor'];
}

// Custom CSS class name.
$class = 'campoal-team-members ' . ( $attributes['className'] ?? '' );
if ( ! empty( $attributes['align'] ) ) {
	$class .= " align{$attributes['align']}";
}

extract(shortcode_atts(array(
	'title' 			=> '',
	'title_alignment' 	=> 'center',
	'type'				=> 'all',
	'show' 				=> '4',
	'column' 			=> 'four',
	'orderby' 			=> 'date',
	'order' 			=> 'ASC',
	'member_ids' 		=> ''
), $attributes['data']));

$args = array(
	'numberposts'      => $show,
	'post_type'        => 'team',
	'orderby'          => $orderby,
	'order'            => $order,
	'member_ids'	   => $member_ids,
	'post_status'      => 'publish' );

if ( $type == 'by_id' && !empty($member_ids) ) {
	$member_ids = array_map('intval', explode(',', $member_ids));
	$args['post__in'] = $member_ids;
}

$members = wp_get_recent_posts($args, OBJECT);

$return_string = conikal_team_members_render($members, $attributes['data'], null);

wp_reset_postdata();
wp_reset_query();
?>
<div id="<?= $block_id ?>" class="<?= $class ?>">
	<?php echo $return_string; ?>
</div>
