<?php
/**
 * The template file to display the block.
 *
 * Available parameters:
 * @param array $attributes The block attributes.
 * @param bool  $is_preview Whether in the preview mode.
 */

// Fields data.
if ( empty( $attributes['data'] ) ) {
	return;
}
// Unique HTML ID if available.
$block_id = 'campoal-testimonials-' . ( $attributes['id'] ?? '' );
if ( ! empty( $attributes['anchor'] ) ) {
	$block_id = $attributes['anchor'];
}

// Custom CSS class name.
$class = 'campoal-testimonials ' . ( $attributes['className'] ?? '' );
if ( ! empty( $attributes['align'] ) ) {
	$class .= " align{$attributes['align']}";
}

extract(shortcode_atts(array(
	'title' 			=> '',
	'title_alignment' 	=> 'center',
	'type'				=> 'all',
	'show' 				=> '4',
	'column' 			=> 'two',
	'orderby' 			=> 'post_date',
	'order' 			=> 'ASC',
	'carousel'			=> 'no',
	'testimonials_ids' 	=> ''
), $attributes['data']));

$show = conikal_show_number_block_preview($is_preview, $carousel, $column, $show);

$args = array(
	'numberposts'      => $show,
	'post_type'        => 'testimonials',
	'orderby'          => $orderby,
	'order'            => $order,
	'member_ids'	   => $testimonials_ids,
	'post_status'      => 'publish' );

if ( $type == 'by_id' && !empty($testimonials_ids) ) {
	$testimonials_ids = array_map('intval', explode(',', $testimonials_ids));
	$args['post__in'] = $testimonials_ids;
}

$testimonials = wp_get_recent_posts($args, OBJECT);

wp_reset_postdata();
wp_reset_query();
?>
<div id="<?= $block_id ?>" class="<?= $class ?>">
	<?php echo conikal_testimonials_render($testimonials, $attributes['data'], null); ?>
</div>
