<?php
/**
 * @package WordPress
 * @subpackage Campoal Tapo
 */


/**
 * Phone Code Array dataset
 *
 * @since Campoal Tapo 1.0.0
 */
if( !function_exists('conikal_phone_codes') ):
	function conikal_phone_codes() {
		$phone_codes = array(
			'93' => 'Afghanistan (+93)',
			'358' => 'Finland (+358)',
			'355' => 'Albania (+355)',
			'213' => 'Algeria (+213)',
			'1684' => 'American Samoa (+1684)',
			'376' => 'Andorra (+376)',
			'244' => 'Angola (+244)',
			'1264' => 'Anguilla (+1264)',
			'672' => 'Norfolk Island (+672)',
			'1268' => 'Antigua and Barbuda (+1268)',
			'54' => 'Argentina (+54)',
			'374' => 'Armenia (+374)',
			'297' => 'Aruba (+297)',
			'61' => 'Cocos (Keeling) Islands (+61)',
			'43' => 'Austria (+43)',
			'994' => 'Azerbaijan (+994)',
			'1242' => 'Bahamas (+1242)',
			'973' => 'Bahrain (+973)',
			'880' => 'Bangladesh (+880)',
			'1246' => 'Barbados (+1246)',
			'375' => 'Belarus (+375)',
			'32' => 'Belgium (+32)',
			'501' => 'Belize (+501)',
			'229' => 'Benin (+229)',
			'1441' => 'Bermuda (+1441)',
			'975' => 'Bhutan (+975)',
			'591' => 'Bolivia, Plurinational State of (+591)',
			'599' => 'Curacao (+599)',
			'387' => 'Bosnia and Herzegovina (+387)',
			'267' => 'Botswana (+267)',
			'47' => 'Svalbard and Jan Mayen (+47)',
			'55' => 'Brazil (+55)',
			'246' => 'United States Minor Outlying Islands (+246)',
			'673' => 'Brunei Darussalam (+673)',
			'359' => 'Bulgaria (+359)',
			'226' => 'Burkina Faso (+226)',
			'257' => 'Burundi (+257)',
			'855' => 'Cambodia (+855)',
			'237' => 'Cameroon (+237)',
			'1' => 'United States (+1)',
			'238' => 'Cape Verde (+238)',
			'1345' => 'Cayman Islands (+1345)',
			'236' => 'Central African Republic (+236)',
			'235' => 'Chad (+235)',
			'56' => 'Chile (+56)',
			'86' => 'China (+86)',
			'57' => 'Colombia (+57)',
			'269' => 'Comoros (+269)',
			'242' => 'Congo (+242)',
			'243' => 'Congo, the Democratic Republic of the (+243)',
			'682' => 'Cook Islands (+682)',
			'506' => 'Costa Rica (+506)',
			'225' => 'Cote d\'Ivoire (+225)',
			'385' => 'Croatia (+385)',
			'53' => 'Cuba (+53)',
			'357' => 'Cyprus (+357)',
			'420' => 'Czech Republic (+420)',
			'45' => 'Denmark (+45)',
			'253' => 'Djibouti (+253)',
			'1767' => 'Dominica (+1767)',
			'1809' => 'Dominican Republic (+1809)',
			'593' => 'Ecuador (+593)',
			'20' => 'Egypt (+20)',
			'503' => 'El Salvador (+503)',
			'240' => 'Equatorial Guinea (+240)',
			'291' => 'Eritrea (+291)',
			'372' => 'Estonia (+372)',
			'251' => 'Ethiopia (+251)',
			'500' => 'South Georgia and the South Sandwich Islands (+500)',
			'298' => 'Faroe Islands (+298)',
			'679' => 'Fiji (+679)',
			'33' => 'France (+33)',
			'594' => 'French Guiana (+594)',
			'689' => 'French Polynesia (+689)',
			'262' => 'Reunion (+262)',
			'241' => 'Gabon (+241)',
			'220' => 'Gambia (+220)',
			'995' => 'Georgia (+995)',
			'49' => 'Germany (+49)',
			'233' => 'Ghana (+233)',
			'350' => 'Gibraltar (+350)',
			'30' => 'Greece (+30)',
			'299' => 'Greenland (+299)',
			'1473' => 'Grenada (+1473)',
			'590' => 'Saint Martin (French part) (+590)',
			'1671' => 'Guam (+1671)',
			'502' => 'Guatemala (+502)',
			'44' => 'United Kingdom (+44)',
			'224' => 'Guinea (+224)',
			'245' => 'Guinea-Bissau (+245)',
			'592' => 'Guyana (+592)',
			'509' => 'Haiti (+509)',
			'379' => 'Holy See (Vatican City State) (+379)',
			'504' => 'Honduras (+504)',
			'852' => 'Hong Kong (+852)',
			'36' => 'Hungary (+36)',
			'354' => 'Iceland (+354)',
			'91' => 'India (+91)',
			'62' => 'Indonesia (+62)',
			'98' => 'Iran, Islamic Republic of (+98)',
			'964' => 'Iraq (+964)',
			'353' => 'Ireland (+353)',
			'972' => 'Israel (+972)',
			'39' => 'Italy (+39)',
			'1876' => 'Jamaica (+1876)',
			'81' => 'Japan (+81)',
			'962' => 'Jordan (+962)',
			'7' => 'Russian Federation (+7)',
			'254' => 'Kenya (+254)',
			'686' => 'Kiribati (+686)',
			'850' => 'Korea, Democratic People\'s Republic of (+850)',
			'82' => 'Korea, Republic of (+82)',
			'965' => 'Kuwait (+965)',
			'996' => 'Kyrgyzstan (+996)',
			'856' => 'Lao People\'s Democratic Republic (+856)',
			'371' => 'Latvia (+371)',
			'961' => 'Lebanon (+961)',
			'266' => 'Lesotho (+266)',
			'231' => 'Liberia (+231)',
			'218' => 'Libya (+218)',
			'423' => 'Liechtenstein (+423)',
			'370' => 'Lithuania (+370)',
			'352' => 'Luxembourg (+352)',
			'853' => 'Macao (+853)',
			'389' => 'Macedonia, the Former Yugoslav Republic of (+389)',
			'261' => 'Madagascar (+261)',
			'265' => 'Malawi (+265)',
			'60' => 'Malaysia (+60)',
			'960' => 'Maldives (+960)',
			'223' => 'Mali (+223)',
			'356' => 'Malta (+356)',
			'692' => 'Marshall Islands (+692)',
			'596' => 'Martinique (+596)',
			'222' => 'Mauritania (+222)',
			'230' => 'Mauritius (+230)',
			'52' => 'Mexico (+52)',
			'691' => 'Micronesia, Federated States of (+691)',
			'373' => 'Moldova, Republic of (+373)',
			'377' => 'Monaco (+377)',
			'976' => 'Mongolia (+976)',
			'382' => 'Montenegro (+382)',
			'1664' => 'Montserrat (+1664)',
			'212' => 'Western Sahara (+212)',
			'258' => 'Mozambique (+258)',
			'95' => 'Myanmar (+95)',
			'264' => 'Namibia (+264)',
			'674' => 'Nauru (+674)',
			'977' => 'Nepal (+977)',
			'31' => 'Netherlands (+31)',
			'687' => 'New Caledonia (+687)',
			'64' => 'Pitcairn (+64)',
			'505' => 'Nicaragua (+505)',
			'227' => 'Niger (+227)',
			'234' => 'Nigeria (+234)',
			'683' => 'Niue (+683)',
			'1670' => 'Northern Mariana Islands (+1670)',
			'968' => 'Oman (+968)',
			'92' => 'Pakistan (+92)',
			'680' => 'Palau (+680)',
			'970' => 'Palestine, State of (+970)',
			'507' => 'Panama (+507)',
			'675' => 'Papua New Guinea (+675)',
			'595' => 'Paraguay (+595)',
			'51' => 'Peru (+51)',
			'63' => 'Philippines (+63)',
			'48' => 'Poland (+48)',
			'351' => 'Portugal (+351)',
			'1787' => 'Puerto Rico (+1787)',
			'974' => 'Qatar (+974)',
			'383' => 'Republic of Kosovo (+383)',
			'40' => 'Romania (+40)',
			'250' => 'Rwanda (+250)',
			'290' => 'Saint Helena, Ascension and Tristan da Cunha (+290)',
			'1869' => 'Saint Kitts and Nevis (+1869)',
			'1758' => 'Saint Lucia (+1758)',
			'508' => 'Saint Pierre and Miquelon (+508)',
			'1784' => 'Saint Vincent and the Grenadines (+1784)',
			'685' => 'Samoa (+685)',
			'378' => 'San Marino (+378)',
			'239' => 'Sao Tome and Principe (+239)',
			'966' => 'Saudi Arabia (+966)',
			'221' => 'Senegal (+221)',
			'381' => 'Serbia (+381)',
			'248' => 'Seychelles (+248)',
			'232' => 'Sierra Leone (+232)',
			'65' => 'Singapore (+65)',
			'1721' => 'Sint Maarten (Dutch part) (+1721)',
			'421' => 'Slovakia (+421)',
			'386' => 'Slovenia (+386)',
			'677' => 'Solomon Islands (+677)',
			'252' => 'Somalia (+252)',
			'27' => 'South Africa (+27)',
			'211' => 'South Sudan (+211)',
			'34' => 'Spain (+34)',
			'94' => 'Sri Lanka (+94)',
			'249' => 'Sudan (+249)',
			'597' => 'Suriname (+597)',
			'268' => 'Swaziland (+268)',
			'46' => 'Sweden (+46)',
			'41' => 'Switzerland (+41)',
			'963' => 'Syrian Arab Republic (+963)',
			'886' => 'Taiwan, Province of China (+886)',
			'992' => 'Tajikistan (+992)',
			'255' => 'Tanzania, United Republic of (+255)',
			'66' => 'Thailand (+66)',
			'670' => 'Timor-Leste (+670)',
			'228' => 'Togo (+228)',
			'690' => 'Tokelau (+690)',
			'676' => 'Tonga (+676)',
			'1868' => 'Trinidad and Tobago (+1868)',
			'216' => 'Tunisia (+216)',
			'90' => 'Turkey (+90)',
			'993' => 'Turkmenistan (+993)',
			'1649' => 'Turks and Caicos Islands (+1649)',
			'688' => 'Tuvalu (+688)',
			'256' => 'Uganda (+256)',
			'380' => 'Ukraine (+380)',
			'971' => 'United Arab Emirates (+971)',
			'598' => 'Uruguay (+598)',
			'998' => 'Uzbekistan (+998)',
			'678' => 'Vanuatu (+678)',
			'58' => 'Venezuela, Bolivarian Republic of (+58)',
			'84' => 'Viet Nam (+84)',
			'1284' => 'Virgin Islands, British (+1284)',
			'1340' => 'Virgin Islands, U.S. (+1340)',
			'681' => 'Wallis and Futuna (+681)',
			'967' => 'Yemen (+967)',
			'260' => 'Zambia (+260)',
			'263' => 'Zimbabwe (+263)',
		);

		return $phone_codes;
}
endif;



/**
 * Country Array to HTML Select List
 *
 * @since Campoal Tapo 1.0.0
 */
if( !function_exists('conikal_country_phone_codes') ):
	function conikal_country_phone_codes() {
		$countryArray = conikal_phone_codes();
		$phone_codes = array();

		foreach($countryArray as $code => $country){
			$phone_code = array(
				'name' 		=> '+' . $code,
				'value'		=> $code,
			);

			array_push($phone_codes, $phone_code);
			sort($phone_codes);
		}
		
		if (!empty($phone_codes)) {
			echo json_encode(array('success'=>true, 'results'=>$phone_codes));
			exit();
		} else {
			echo json_encode(array('success'=>false, 'message'=>esc_html__('Not found phone codes list.', 'campoal-tapo')));
			exit();
		}
	}
endif;

/**
 * Country list array
 *
 * @since Campoal Tapo 1.6.7
 */
if( !function_exists('conikal_country_list') ):
    function conikal_country_list() {
        $countries = array( 
			'af' => 'Afghanistan', 
			'ax' => 'Aland Islands', 
			'al' => 'Albania', 
			'dz' => 'Algeria', 
			'as' => 'American Samoa', 
			'ad' => 'Andorra', 
			'ao' => 'Angola', 
			'ai' => 'Anguilla', 
			'ag' => 'Antigua', 
			'ar' => 'Argentina', 
			'am' => 'Armenia', 
			'aw' => 'Aruba', 
			'au' => 'Australia', 
			'at' => 'Austria', 
			'az' => 'Azerbaijan', 
			'bs' => 'Bahamas', 
			'bh' => 'Bahrain', 
			'bd' => 'Bangladesh', 
			'bb' => 'Barbados', 
			'by' => 'Belarus', 
			'be' => 'Belgium', 
			'bz' => 'Belize', 
			'bj' => 'Benin', 
			'bm' => 'Bermuda', 
			'bt' => 'Bhutan', 
			'bo' => 'Bolivia', 
			'ba' => 'Bosnia', 
			'bw' => 'Botswana', 
			'bv' => 'Bouvet Island', 
			'br' => 'Brazil', 
			'vg' => 'British Virgin Islands', 
			'bn' => 'Brunei', 
			'bg' => 'Bulgaria', 
			'bf' => 'Burkina Faso', 
			'mm' => 'Burma', 
			'bi' => 'Burundi', 
			'tc' => 'Caicos Islands', 
			'kh' => 'Cambodia', 
			'cm' => 'Cameroon', 
			'ca' => 'Canada', 
			'cv' => 'Cape Verde', 
			'ky' => 'Cayman Islands', 
			'cf' => 'Central African Republic', 
			'td' => 'Chad', 
			'cl' => 'Chile', 
			'cn' => 'China', 
			'cx' => 'Christmas Island', 
			'cc' => 'Cocos Islands', 
			'co' => 'Colombia', 
			'km' => 'Comoros', 
			'cg' => 'Congo Brazzaville', 
			'cd' => 'Congo', 
			'ck' => 'Cook Islands', 
			'cr' => 'Costa Rica', 
			'ci' => 'Cote Divoire', 
			'hr' => 'Croatia', 
			'cu' => 'Cuba', 
			'cy' => 'Cyprus', 
			'cz' => 'Czech Republic', 
			'dk' => 'Denmark', 
			'dj' => 'Djibouti', 
			'dm' => 'Dominica', 
			'do' => 'Dominican Republic', 
			'ec' => 'Ecuador', 
			'eg' => 'Egypt', 
			'sv' => 'El Salvador', 
			'gb' => 'England', 
			'gq' => 'Equatorial Guinea', 
			'er' => 'Eritrea', 
			'ee' => 'Estonia', 
			'et' => 'Ethiopia', 
			'eu' => 'European Union', 
			'fk' => 'Falkland Islands', 
			'fo' => 'Faroe Islands', 
			'fj' => 'Fiji', 
			'fi' => 'Finland', 
			'fr' => 'France', 
			'gf' => 'French Guiana', 
			'pf' => 'French Polynesia', 
			'tf' => 'French Territories', 
			'ga' => 'Gabon', 
			'gm' => 'Gambia', 
			'ge' => 'Georgia', 
			'de' => 'Germany', 
			'gh' => 'Ghana', 
			'gi' => 'Gibraltar', 
			'gr' => 'Greece', 
			'gl' => 'Greenland', 
			'gd' => 'Grenada', 
			'gp' => 'Guadeloupe', 
			'gu' => 'Guam', 
			'gt' => 'Guatemala', 
			'gw' => 'Guinea-Bissau', 
			'gn' => 'Guinea', 
			'gy' => 'Guyana', 
			'ht' => 'Haiti', 
			'hm' => 'Heard Island', 
			'hn' => 'Honduras', 
			'hk' => 'Hong Kong', 
			'hu' => 'Hungary', 
			'is' => 'Iceland', 
			'in' => 'India', 
			'io' => 'Indian Ocean Territory', 
			'id' => 'Indonesia', 
			'ir' => 'Iran', 
			'iq' => 'Iraq', 
			'ie' => 'Ireland', 
			'il' => 'Israel', 
			'it' => 'Italy', 
			'jm' => 'Jamaica', 
			'jp' => 'Japan', 
			'jo' => 'Jordan', 
			'kz' => 'Kazakhstan', 
			'ke' => 'Kenya', 
			'ki' => 'Kiribati', 
			'kw' => 'Kuwait', 
			'kg' => 'Kyrgyzstan', 
			'la' => 'Laos', 
			'lv' => 'Latvia', 
			'lb' => 'Lebanon', 
			'ls' => 'Lesotho', 
			'lr' => 'Liberia', 
			'ly' => 'Libya', 
			'li' => 'Liechtenstein', 
			'lt' => 'Lithuania', 
			'lu' => 'Luxembourg', 
			'mo' => 'Macau', 
			'mk' => 'Macedonia', 
			'mg' => 'Madagascar', 
			'mw' => 'Malawi', 
			'my' => 'Malaysia', 
			'mv' => 'Maldives', 
			'ml' => 'Mali', 
			'mt' => 'Malta', 
			'mh' => 'Marshall Islands', 
			'mq' => 'Martinique', 
			'mr' => 'Mauritania', 
			'mu' => 'Mauritius', 
			'yt' => 'Mayotte', 
			'mx' => 'Mexico', 
			'fm' => 'Micronesia', 
			'md' => 'Moldova', 
			'mc' => 'Monaco', 
			'mn' => 'Mongolia', 
			'me' => 'Montenegro', 
			'ms' => 'Montserrat', 
			'ma' => 'Morocco', 
			'mz' => 'Mozambique', 
			'na' => 'Namibia', 
			'nr' => 'Nauru', 
			'np' => 'Nepal', 
			'an' => 'Netherlands Antilles', 
			'nl' => 'Netherlands', 
			'nc' => 'New Caledonia', 
			'pg' => 'New Guinea', 
			'nz' => 'New Zealand', 
			'ni' => 'Nicaragua', 
			'ne' => 'Niger', 
			'ng' => 'Nigeria', 
			'nu' => 'Niue', 
			'nf' => 'Norfolk Island', 
			'kp' => 'North Korea', 
			'mp' => 'Northern Mariana Islands', 
			'no' => 'Norway', 
			'om' => 'Oman', 
			'pk' => 'Pakistan', 
			'pw' => 'Palau', 
			'ps' => 'Palestine', 
			'pa' => 'Panama', 
			'py' => 'Paraguay', 
			'pe' => 'Peru', 
			'ph' => 'Philippines', 
			'pn' => 'Pitcairn Islands', 
			'pl' => 'Poland', 
			'pt' => 'Portugal', 
			'pr' => 'Puerto Rico', 
			'qa' => 'Qatar', 
			're' => 'Reunion', 
			'ro' => 'Romania', 
			'ru' => 'Russia', 
			'rw' => 'Rwanda', 
			'sh' => 'Saint Helena', 
			'kn' => 'Saint Kitts and Nevis', 
			'lc' => 'Saint Lucia', 
			'pm' => 'Saint Pierre', 
			'vc' => 'Saint Vincent', 
			'ws' => 'Samoa', 
			'sm' => 'San Marino', 
			'gs' => 'Sandwich Islands', 
			'st' => 'Sao Tome', 
			'sa' => 'Saudi Arabia', 
			'sn' => 'Senegal', 
			'cs' => 'Serbia', 
			'rs' => 'Serbia', 
			'sc' => 'Seychelles', 
			'sl' => 'Sierra Leone', 
			'sg' => 'Singapore', 
			'sk' => 'Slovakia', 
			'si' => 'Slovenia', 
			'sb' => 'Solomon Islands', 
			'so' => 'Somalia', 
			'za' => 'South Africa', 
			'kr' => 'South Korea', 
			'es' => 'Spain', 
			'lk' => 'Sri Lanka', 
			'sd' => 'Sudan', 
			'sr' => 'Suriname', 
			'sj' => 'Svalbard', 
			'sz' => 'Swaziland', 
			'se' => 'Sweden', 
			'ch' => 'Switzerland', 
			'sy' => 'Syria', 
			'tw' => 'Taiwan', 
			'tj' => 'Tajikistan', 
			'tz' => 'Tanzania', 
			'th' => 'Thailand', 
			'tl' => 'Timorleste', 
			'tg' => 'Togo', 
			'tk' => 'Tokelau', 
			'to' => 'Tonga', 
			'tt' => 'Trinidad', 
			'tn' => 'Tunisia', 
			'tr' => 'Turkey', 
			'tm' => 'Turkmenistan', 
			'tv' => 'Tuvalu', 
			'ug' => 'Uganda', 
			'ua' => 'Ukraine', 
			'uk' => 'United Kingdom', 
			'ae' => 'United Arab Emirates', 
			'us' => 'United States', 
			'uy' => 'Uruguay', 
			'um' => 'Us Minor Islands', 
			'vi' => 'Us Virgin Islands', 
			'uz' => 'Uzbekistan', 
			'vu' => 'Vanuatu', 
			'va' => 'Vatican City', 
			've' => 'Venezuela', 
			'vn' => 'Vietnam', 
			'wf' => 'Wallis and Futuna', 
			'eh' => 'Western Sahara', 
			'ye' => 'Yemen', 
			'zm' => 'Zambia', 
			'zw' => 'Zimbabwe');
       
        return $countries;
    }
endif;


/**
 * Country list as HtML
 *
 * @since Campoal Tapo 1.6.7
 */
if( !function_exists('conikal_country_list_menu_html') ):
    function conikal_country_list_menu_html( $country_selection = array() ) {
    	$countries = conikal_country_list();
    	if (!empty($country_selection)) {
    		$country_data['world'] = esc_html__('Global', 'campoal-tapo');
    		foreach ($country_selection as $key => $value) {
    			$country_data[$value] = $countries[$value];	
    		}
    		$countries = $country_data;
    	}

    	$country_string = '';
        foreach ($countries as $code => $name) :
            $country_string .= '<div class="item" data-value="' . esc_attr(strtoupper($code)) . '"><i class="' . esc_attr($code) . esc_html($code == 'world' ? ' icon' : ' flag') . '"></i>' . esc_html($name) . '</div>';
        endforeach;

        return $country_string;
    }
endif;

/**
 * Country list as Json
 *
 * @since Campoal Tapo 1.6.7
 */
if( !function_exists('conikal_country_list_api') ):
    function conikal_country_list_api() {
    	$country_list = conikal_country_list();
    	echo json_encode(array('success'=>true, 'results'=>$country_list));
        exit();
    }
endif;

?>