<?php 

/**
 * Register decistion maker custom post type
 *
 * @since Campoal Tapo 1.0.0
 */

if( !function_exists('conikal_register_decision_maker_type') ):
    function conikal_register_decision_maker_type() {
        register_post_type('decisionmakers', array(
            'labels' => array(
                'name'                  => esc_html__('Decision Makers', 'campoal-tapo'),
                'singular_name'         => esc_html__('Decision Maker', 'campoal-tapo'),
                'add_new'               => esc_html__('Add New Decision Maker', 'campoal-tapo'),
                'add_new_item'          => esc_html__('Add Decision Maker', 'campoal-tapo'),
                'edit'                  => esc_html__('Edit', 'campoal-tapo'),
                'edit_item'             => esc_html__('Edit Decision Maker', 'campoal-tapo'),
                'new_item'              => esc_html__('New Decision Maker', 'campoal-tapo'),
                'view'                  => esc_html__('View', 'campoal-tapo'),
                'view_item'             => esc_html__('View Decision Maker', 'campoal-tapo'),
                'search_items'          => esc_html__('Search Decision Makers', 'campoal-tapo'),
                'not_found'             => esc_html__('No Decision Makers found', 'campoal-tapo'),
                'not_found_in_trash'    => esc_html__('No Decision Makers found in Trash', 'campoal-tapo'),
                'parent'                => esc_html__('Parent Decision Maker', 'campoal-tapo'),
            ),
            'public'                => true,
            'exclude_from_search '  => true,
            'has_archive'           => true,
            'rewrite'               => array('slug' => 'decisionmakers'),
            'supports'              => array('title', 'author', 'editor'),
            'can_export'            => true,
            'menu_icon'             => 'dashicons-businesswoman'
        ));

        // add dicision maker category custom taxonomy
        register_taxonomy('decisionmakers_title', 'decisionmakers', array(
            'labels' => array(
                'name'              => esc_html__('Decision Maker Title', 'campoal-tapo'),
                'add_new_item'      => esc_html__('Add New Title', 'campoal-tapo'),
                'new_item_name'     => esc_html__('New Title', 'campoal-tapo')
            ),
            'hierarchical'  => true,
            'query_var'     => true,
            'rewrite'       => array('slug' => 'decisionmakers-title')
        ));

        // add dicision maker organization custom taxonomy
        register_taxonomy('decisionmakers_organization', 'decisionmakers', array(
            'labels' => array(
                'name'              => esc_html__('Organization', 'campoal-tapo'),
                'add_new_item'      => esc_html__('Add New Organization', 'campoal-tapo'),
                'new_item_name'     => esc_html__('New Organization', 'campoal-tapo')
            ),
            'hierarchical'  => false,
            'query_var'     => true,
            'rewrite'       => array('slug' => 'decisionmakers-organization')
        ));
    }
endif;
add_action('init', 'conikal_register_decision_maker_type');

if( !function_exists('conikal_change_decision_maker_default_title') ):
    function conikal_change_decision_maker_default_title($title) {
        $screen = get_current_screen();
        if ('decisionmakers' == $screen->post_type) {
            $title = esc_html__('Enter decision maker name here', 'campoal-tapo');
        }
        return $title;
    }
endif;
add_filter('enter_title_here', 'conikal_change_decision_maker_default_title');

?>