<?php 

/**
 * Register team custom post type
 *
 * @since Campoal Tapo 1.0.0
 */
if( !function_exists('conikal_register_team_type') ):
    function conikal_register_team_type() {
        register_post_type('team', array(
            'labels' => array(
                'name'                  => esc_html__('Team', 'campoal-tapo'),
                'singular_name'         => esc_html__('Member', 'campoal-tapo'),
                'add_new'               => esc_html__('Add New Member', 'campoal-tapo'),
                'add_new_item'          => esc_html__('Add Member', 'campoal-tapo'),
                'edit'                  => esc_html__('Edit', 'campoal-tapo'),
                'edit_item'             => esc_html__('Edit Member', 'campoal-tapo'),
                'new_item'              => esc_html__('New Member', 'campoal-tapo'),
                'view'                  => esc_html__('View', 'campoal-tapo'),
                'view_item'             => esc_html__('View Member', 'campoal-tapo'),
                'search_items'          => esc_html__('Search Member', 'campoal-tapo'),
                'not_found'             => esc_html__('No Members found', 'campoal-tapo'),
                'not_found_in_trash'    => esc_html__('No Members found in Trash', 'campoal-tapo'),
                'parent'                => esc_html__('Parent Member', 'campoal-tapo'),
            ),
            'public'                => true,
            'exclude_from_search '  => true,
            'has_archive'           => true,
            'rewrite'               => array('slug' => 'team'),
            'supports'              => array('title', 'editor', 'thumbnail'),
            'can_export'            => true,
            'menu_icon'             => 'dashicons-groups'
        ));
    }
endif;
add_action('init', 'conikal_register_team_type');

if( !function_exists('conikal_change_team_default_title') ):
    function conikal_change_team_default_title($title) {
        $screen = get_current_screen();
        if ('team' == $screen->post_type) {
            $title = esc_html__('Enter member name here', 'campoal-tapo');
        }
        return $title;
    }
endif;
add_filter('enter_title_here', 'conikal_change_team_default_title');

?>