<?php

/**
 *  Counter supporter shortcode
 */

if( !function_exists('conikal_counter_supporter_shortcode') ): 
    function conikal_counter_supporter_shortcode($attrs, $content = null) {
        extract(shortcode_atts(array(
            'id' => 0,
            'label' => '',
            'type' => 'sign',
            'round' => 'yes'
        ), $attrs));

        $return_string = conikal_supporters_counter_render($attrs, $content);

        return $return_string;
    }
endif;


// interact with visual composer

add_action( 'vc_before_init', 'conikal_vc_counter_supporter_shortcode' );
function conikal_vc_counter_supporter_shortcode() {
    vc_map( array(
      "name" => esc_html__('Counter Supporter', 'campoal-tapo'),
      "base" => 'counter_supporter',
      "class" => '',
      "category" => esc_html__('Campoal', 'campoal-tapo'),
      'admin_enqueue_js' => plugin_dir_url( __FILE__ ) . 'vc_extend/bartag.js',
      'admin_enqueue_css' => plugin_dir_url( __FILE__ ) . 'vc_extend/bartag.css',
      "icon" => plugin_dir_url( __FILE__ ) . 'images/campoal-icon.svg',
      "params" => array(
        array(
            "type" => 'textfield',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Petition ID', 'campoal-tapo'),
            "param_name" => 'id',
            "value" => '',
            "description" => esc_html__('ID of Petition', 'campoal-tapo')
        ),
        array(
            "type" => 'dropdown',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Heading', 'campoal-tapo'),
            "param_name" => 'heading',
            "value" => array(
                'Heading 1'     => 'h1',
                'Heading 2'     => 'h2',
                'Heading 3'     => 'h3',
                'Heading 4'     => 'h4',
                'Heading 5'     => 'h5',
                'Paragraph'     => 'p'
                ),
            "std" => 'h3',
            "description" => esc_html__('Heading of supporters counter', 'campoal-tapo')
        ),
        array(
            "type" => 'textfield',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Label', 'campoal-tapo'),
            "param_name" => 'label',
            "value" => '',
            "description" => esc_html__('Label after number', 'campoal-tapo')
        ),
        array(
            "type" => 'dropdown',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Type', 'campoal-tapo'),
            "param_name" => 'type',
            "value" => array(
                'Number of signature' => 'sign',
                'Left of signature' => 'left',
                'Goal of signature' => 'goal'
                ),
            "std" => 'sign',
            "description" => esc_html__('Select counter number of supporter or contributer ', 'campoal-tapo')
        ),
        array(
            "type" => 'dropdown',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Round number', 'campoal-tapo'),
            "param_name" => 'round',
            "value" => array(
                'Yes' => 'yes',
                'No' => 'no'
                ),
            "std" => 'yes',
            "description" => esc_html__('Select counter number of supporter or contributer ', 'campoal-tapo')
        )
      )
   ) );
}

?>