<?php

/**
 * Icon box shortcode
 */

if( !function_exists('conikal_iconbox_shortcode') ): 
    function conikal_iconbox_shortcode($attrs, $content = null) {
        extract(shortcode_atts(array(
            'icon_type' => 'icon',
            'icon' => 'empty-star',
            'icon_image' => '',
            'size' => '60',
            'title' => '',
            'align' => 'center',
            'style' => 'vertical',
            'type' => 'normal',
            'heading_size' => 'medium',
            'heading_border' => 'none',
            'padding' => 'no',
            'invert' => 'no',
            'color' => '',
            'text_color' => '',
            'link' => '',
        ), $attrs));

        $return_string = conikal_icon_box_render($attrs, $content);
        
        return $return_string;
    }
endif;


// interact with visual composer

add_action( 'vc_before_init', 'conikal_vc_iconbox_shortcode' );
function conikal_vc_iconbox_shortcode() {
   vc_map( array(
      "name" => esc_html__('Icon Box', 'campoal-tapo'),
      "base" => 'iconbox',
      "class" => '',
      "category" => esc_html__('Campoal', 'campoal-tapo'),
      'admin_enqueue_js' => plugin_dir_url( __FILE__ ) . 'vc_extend/bartag.js',
      'admin_enqueue_css' => plugin_dir_url( __FILE__ ) . 'vc_extend/bartag.css',
      "icon" => plugin_dir_url( __FILE__ ) . 'images/campoal-icon.svg',
      "params" => array(
        array(
            "type" => 'textfield',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Icon or Image', 'campoal-tapo'),
            "param_name" => 'icon',
            "value" => '',
            "description" => esc_html__('Use icon font or URL image icon', 'campoal-tapo')
        ),
        array(
            "type" => 'textfield',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Title', 'campoal-tapo'),
            "param_name" => 'title',
            "value" => '',
            "description" => esc_html__('Title in Box', 'campoal-tapo')
        ),
        array(
            "type" => 'textarea_html',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Description', 'campoal-tapo'),
            "param_name" => 'content',
            "value" => '',
            "description" => esc_html__('Description below title', 'campoal-tapo')
        ),
        array(
            "type" => 'textfield',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Link', 'campoal-tapo'),
            "param_name" => 'link',
            "value" => '#',
            "description" => esc_html__('URL of icon box', 'campoal-tapo')
        ),
        array(
            "type" => 'textfield',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Size', 'campoal-tapo'),
            "param_name" => 'size',
            "value" => 110,
            "description" => esc_html__('Size of Icon', 'campoal-tapo')
        ),
        array(
            "type" => 'dropdown',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Type', 'campoal-tapo'),
            "param_name" => 'type',
            "value" => array(
                'Normal' => 'normal',
                'Raise' => 'raised',
                'Stack' => 'stacked',
                'Pile' => 'piled',
                'Circular' => 'circular',
                'Compact' => 'compact',
                'Vertical' => 'vertical',
                'Basic' => 'basic',
                ),
            "std" => 'normal',
            "description" => esc_html__('Type of Box', 'campoal-tapo')
        ),
        array(
            "type" => 'dropdown',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Heading size', 'campoal-tapo'),
            "param_name" => 'heading_size',
            "value" => array(
                'Tiny' => 'tiny',
                'Small' => 'small',
                'Medium' => 'medium',
                'Large' => 'large',
                'Huge' => 'huge',
                ),
            "std" => 'medium',
            "description" => esc_html__('Size of heading', 'campoal-tapo')
        ),
        array(
            "type" => 'dropdown',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Style', 'campoal-tapo'),
            "param_name" => 'style',
            "value" => array(
                'Vertical' => 'vertical',
                'Horizontal' => 'horizontal',
                ),
            "std" => 'vertical',
            "description" => esc_html__('Style of Icon Layout', 'campoal-tapo')
        ),
        array(
            "type" => 'dropdown',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Text Align', 'campoal-tapo'),
            "param_name" => 'align',
            "value" => array(
                'Left' => 'left',
                'Right' => 'right',
                'Center' => 'center'
                ),
            "std" => 'left',
            "description" => esc_html__('Text align of Icon', 'campoal-tapo')
        ),
        array(
            "type" => 'dropdown',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Invert', 'campoal-tapo'),
            "param_name" => 'invert',
            "value" => array(
                'No' => 'no',
                'Yes' => 'yes'
                ),
            "std" => 'no',
            "description" => esc_html__('Inverse Box', 'campoal-tapo')
        ),
        array(
            "type" => 'dropdown',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Padding', 'campoal-tapo'),
            "param_name" => 'padding',
            "value" => array(
                'No' => 'no',
                'Padded' => 'padded',
                'Very Padded' => 'very padded'
                ),
            "std" => 'no',
            "description" => esc_html__('Padding of Box', 'campoal-tapo')
        ),
        array(
            "type" => 'colorpicker',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Color', 'campoal-tapo'),
            "param_name" => 'color',
            "value" => '#ffffff',
            "description" => esc_html__('Color of box', 'campoal-tapo')
        ),
        array(
            "type" => 'colorpicker',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Text color', 'campoal-tapo'),
            "param_name" => 'color',
            "value" => '#ffffff',
            "description" => esc_html__('Color of text in box', 'campoal-tapo')
        )
      )
   ) );
}

?>