<?php

/**
 *  Progressive shortcode
 */

if( !function_exists('conikal_progressive_shortcode') ): 
    function conikal_progressive_shortcode($attrs, $content = null) {
        extract(shortcode_atts(array(
            'id' => 0,
            'label' => '',
            'size' => 'small',
            'show_label' => 'both'
        ), $attrs));

        $return_string = conikal_progressive_bar_render($attrs, $content);

        return $return_string;
    }
endif;


// interact with visual composer

add_action( 'vc_before_init', 'conikal_vc_progressive_shortcode' );
function conikal_vc_progressive_shortcode() {
    vc_map( array(
      "name" => esc_html__('Progressive', 'campoal-tapo'),
      "base" => 'progressive',
      "class" => '',
      "category" => esc_html__('Campoal', 'campoal-tapo'),
      'admin_enqueue_js' => plugin_dir_url( __FILE__ ) . 'vc_extend/bartag.js',
      'admin_enqueue_css' => plugin_dir_url( __FILE__ ) . 'vc_extend/bartag.css',
      "icon" => plugin_dir_url( __FILE__ ) . 'images/campoal-icon.svg',
      "params" => array(
        array(
            "type" => 'textfield',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Petition ID', 'campoal-tapo'),
            "param_name" => 'id',
            "value" => '',
            "description" => esc_html__('Enter an Petition ID', 'campoal-tapo')
        ),
        array(
            "type" => 'dropdown',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Heading', 'campoal-tapo'),
            "param_name" => 'heading',
            "value" => array(
                'Heading 1'     => 'h1',
                'Heading 2'     => 'h2',
                'Heading 3'     => 'h3',
                'Heading 4'     => 'h4',
                'Heading 5'      => 'h5'
                ),
            "std" => 'h3',
            "description" => esc_html__('Heading of progressive', 'campoal-tapo')
        ),
        array(
            "type" => 'dropdown',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Size', 'campoal-tapo'),
            "param_name" => 'size',
            "value" => array(
                'Tiny' => 'tiny',
                'Small' => 'small',
                'Standard' => 'goal',
                'Large' => 'large',
                'Big' => 'big'
                ),
            "std" => 'small',
            "description" => esc_html__('Size of progressive', 'campoal-tapo')
        ),
        array(
            "type" => 'dropdown',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Show label', 'campoal-tapo'),
            "param_name" => 'show_label',
            "value" => array(
                'Both above & below' => 'both',
                'Above label' => 'above',
                'Below label' => 'below'
                ),
            "std" => 'yes',
            "description" => esc_html__('Show label above and below progressive', 'campoal-tapo')
        )
      )
   ) );
}

?>