<?php

/**
* ------------------------------------------------
* Promo banner - image with text and hover effect
* ------------------------------------------------
*/

if( ! function_exists( 'conikal_promo_banner_shortcode' )) {
	function conikal_promo_banner_shortcode($attrs, $content) {
		if( ! function_exists( 'wpb_getImageBySize' ) ) return;
		extract(shortcode_atts( array(
			'image' => '',
			'img_size' => '800x600',
			'link' => '',
			'alignment' => 'left',
			'vertical_alignment' => 'top',
			'style' => '',
			'hover' => '',
			'increase_spaces' => '',
			'el_class' => '',
			'border_radius' => '',
			'bottom_margin' => '',
		), $attrs ));

		$return_string = conikal_promo_banner_render($attrs, $content);
		
		return $return_string;
	}
} 


// interact with visual composer
add_action( 'vc_before_init', 'conikal_vc_promo_banner_shortcode' );
if( ! function_exists( 'conikal_vc_promo_banner_shortcode' ) ) {
	function conikal_vc_promo_banner_shortcode() {
		vc_map( array(
			"name" => esc_html__('Promo banner', 'campoal-tapo'),
			"base" => 'promo_banner',
			"class" => '',
			"category" => esc_html__('Campoal', 'campoal-tapo'),
			'admin_enqueue_js' => plugin_dir_url( __FILE__ ) . 'vc_extend/bartag.js',
			'admin_enqueue_css' => plugin_dir_url( __FILE__ ) . 'vc_extend/bartag.css',
			"icon" => plugin_dir_url( __FILE__ ) . 'images/campoal-icon.svg',
			"params" => array(
				array(
					'type' => 'attach_image',
					'heading' => __( 'Image', 'campoal-tapo' ),
					'param_name' => 'image',
					'value' => '',
					'description' => __( 'Select image from media library.', 'campoal-tapo' )
				),
				array(
					'type' => 'textfield',
					'heading' => __( 'Image size', 'campoal-tapo' ),
					'param_name' => 'img_size',
					'description' => __( 'Enter image size. Example: "thumbnail", "medium", "large", "full" or other sizes defined by current theme. Alternatively enter image size in pixels: 200x100 (Width x Height). Leave empty to use "thumbnail" size.', 'js_composer' )
				),
				array(
					'type' => 'href',
					'heading' => __( 'Banner link', 'campoal-tapo'),
					'param_name' => 'link',
					'description' => __( 'Enter URL if you want this banner to have a link.', 'campoal-tapo' )
				),
				array(
					'type' => 'textarea_html',
					'holder' => 'div',
					'heading' => __( 'Banner content', 'campoal-tapo' ),
					'param_name' => 'content',
					'description' => __( 'Add here few words to your banner image.', 'campoal-tapo' )
				),
				array(
					'type' => 'dropdown',
					'heading' => __( 'Text alignment', 'campoal-tapo' ),
					'param_name' => 'alignment',
					'value' => array(
						__( 'Align left', 'campoal-tapo' ) => 'left',
						__( 'Align right', 'campoal-tapo' ) => 'right',
						__( 'Align center', 'campoal-tapo' ) => 'center'
					),
					'description' => __( 'Select image alignment.', 'campoal-tapo' )
				),
				array(
					'type' => 'dropdown',
					'heading' => __( 'Content vertical alignment', 'campoal-tapo' ),
					'param_name' => 'vertical_alignment',
					'value' => array(
						__( 'Top', 'campoal-tapo' ) => 'top',
						__( 'Middle', 'campoal-tapo' ) => 'middle',
						__( 'Bottom', 'campoal-tapo' ) => 'bottom'
					)
				),
				array(
					'type' => 'dropdown',
					'heading' => __( 'Hover effect', 'campoal-tapo' ),
					'param_name' => 'hover',
					'value' => array(
						__( 'Default', 'campoal-tapo' ) => '',
						__( 'Zoom image', 'campoal-tapo' ) => '1',
						__( 'Bordered', 'campoal-tapo' ) => '2',
						__( 'Content animation', 'campoal-tapo' ) => '3',
						__( 'Translate and scale', 'campoal-tapo' ) => '4',
					),
					'description' => __( 'Set beautiful hover effects for your banner.', 'campoal-tapo' )
				),
				array(
					'type' => 'dropdown',
					'heading' => __( 'Content style', 'campoal-tapo' ),
					'param_name' => 'style',
					'value' => array(
						__( 'Default', 'campoal-tapo' ) => '',
						__( 'Color mask', 'campoal-tapo' ) => '2',
						__( 'Mask with border', 'campoal-tapo' ) => '3',
						__( 'Content with line background', 'campoal-tapo' ) => '1',
						__( 'Content with rectangular background', 'campoal-tapo' ) => '5',
						//__( 'Style 4', 'campoal-tapo' ) => '4',
						//__( 'Style 5', 'campoal-tapo' ) => '5',
					),
					'description' => __( 'You can use some of our predefined styles for your banner content.', 'campoal-tapo' )
				),
				array(
					'type' => 'checkbox',
					'heading' => __( 'Increase spaces', 'campoal-tapo' ),
					'param_name' => 'increase_spaces',
					'description' => __( 'Suggest to use this option if you have large banners. Padding will be set in percentage to your screen width.', 'campoal-tapo' ),
					'value' => array( __( 'Yes, please', 'campoal-tapo' ) => 'yes' ),
				),
				array(
					'type' => 'textfield',
					'heading' => __( 'Border radius', 'campoal-tapo' ),
					'param_name' => 'border_radius',
					'description' => __( 'Round corner of banner.', 'campoal-tapo' )
				),
				array(
					'type' => 'textfield',
					'heading' => __( 'Bottom margin', 'campoal-tapo' ),
					'param_name' => 'bottom_margin',
					'description' => __( 'Space below promo banner.', 'campoal-tapo' )
				),
				array(
					'type' => 'textfield',
					'heading' => __( 'Extra class name', 'campoal-tapo' ),
					'param_name' => 'el_class',
					'description' => __( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'campoal-tapo' )
				)
			)
		) );
	}
}
?>