<?php

/**
 * Sign and Share shortcode
 */

if( !function_exists('conikal_sign_share_shortcode') ): 
    function conikal_sign_share_shortcode($attrs, $content = null) {
        extract(shortcode_atts(array(
            'id' => 1,
            'type' => 'sign' ,
            'mode' => 'always',
            'share_link_type' => true,
            'prompt_action' => true
        ), $attrs));

        $return_string = conikal_sign_share_block_render($attrs, $content);

        return $return_string;
    }
endif;

// interact with visual composer
add_action( 'vc_before_init', 'conikal_vc_sign_share_shortcode' );
function conikal_vc_sign_share_shortcode() {
    $type_arg = array(
        'Sign' => 'sign',
        'Share' => 'share',
    );
    if (class_exists('Give')) {
        $type_arg['Contribute'] = 'contribute';
    }

    vc_map( array(
      "name" => __('Sign & Share', 'campoal-tapo'),
      "base" => 'sign_share',
      "class" => '',
      "category" => esc_html__('Campoal', 'campoal-tapo'),
      'admin_enqueue_js' => plugin_dir_url( __FILE__ ) . 'vc_extend/bartag.js',
      'admin_enqueue_css' => plugin_dir_url( __FILE__ ) . 'vc_extend/bartag.css',
      "icon" => plugin_dir_url( __FILE__ ) . 'images/campoal-icon.svg',
      "params" => array(
        array(
            "type" => 'textfield',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Petition ID', 'campoal-tapo'),
            "param_name" => 'id',
            "value" => '',
            "description" => esc_html__('ID of Petition', 'campoal-tapo')
        ),
        array(
            "type" => 'dropdown',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Type', 'campoal-tapo'),
            "param_name" => 'type',
            "value" => $type_arg,
            "std" => 'sign',
            "description" => esc_html__('Select Sign or Share Petition section', 'campoal-tapo')
        ),
        array(
            "type" => 'dropdown',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Mode', 'campoal-tapo'),
            "param_name" => 'mode',
            "value" => array(
                'Always' => 'always',
                'Show after sign' => 'show',
                'Hide after sign' => 'hide'
            ),
            "std" => 'always',
            "description" => esc_html__('Mode after sign petition', 'campoal-tapo')
        ),
        array(
            "type" => 'checkbox',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Share current link', 'campoal-tapo'),
            "param_name" => 'share_link_type',
            "description" => esc_html__('Share current link of this page or petition link.', 'campoal-tapo'),
            "std" => true,
        ),
        array(
            "type" => 'checkbox',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Prompt action', 'campoal-tapo'),
            "param_name" => 'prompt_action',
            "description" => esc_html__('Remind visitors take action if they stay too long on page.', 'campoal-tapo'),
            "std" => true,
        ),
      )
   ) );
}

?>