<?php

/**
 * Supporters and Contributers shortcode
 */

if( !function_exists('conikal_supporters_shortcode') ): 
    function conikal_supporters_shortcode($attrs, $content = null) {
        extract(shortcode_atts(array(
            'type'          => 'supporters' ,
            'id'            => 1,
            'number'        => 10,
            'style'         => 'avatar',
            'size'          => 'mini',
            'column'        => 'four',
            'hide_amount'   => false
        ), $attrs));

        $return_string = conikal_supporters_list_render($attrs, $content);

        return $return_string;
    }
endif;


// interact with visual composer
add_action( 'vc_before_init', 'conikal_vc_supporters_shortcode' );
function conikal_vc_supporters_shortcode() {
    $type_arg = array(
        'Supporters' => 'supporters'
    );
    if (class_exists('Give')) {
        $type_arg['Donors'] = 'donors';
    }

    vc_map( array(
      "name" => __('Supporters & Contributers', 'campoal-tapo'),
      "base" => 'supporters',
      "class" => '',
      "category" => esc_html__('Campoal', 'campoal-tapo'),
      'admin_enqueue_js' => plugin_dir_url( __FILE__ ) . 'vc_extend/bartag.js',
      'admin_enqueue_css' => plugin_dir_url( __FILE__ ) . 'vc_extend/bartag.css',
      "icon" => plugin_dir_url( __FILE__ ) . 'images/campoal-icon.svg',
      "params" => array(
        array(
            "type" => 'dropdown',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Type', 'campoal-tapo'),
            "param_name" => 'type',
            "value" => $type_arg,
            "description" => esc_html__('Type of display user is supporters or contributer', 'campoal-tapo')
        ),
        array(
            "type" => 'textfield',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Petition or Form ID', 'campoal-tapo'),
            "param_name" => 'id',
            "value" => '',
            "description" => esc_html__('Set petition ID if type is Supporters, Form ID for Donors type.', 'campoal-tapo')
        ),
        array(
            "type" => 'textfield',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Number', 'campoal-tapo'),
            "param_name" => 'number',
            "value" => '',
            "std" => 12,
            "description" => esc_html__('Number of supporters display', 'campoal-tapo')
        ),
        array(
            "type"          => 'dropdown',
            "holder"        => 'div',
            "class"         => '',
            "heading"       => esc_html__('Style', 'campoal-tapo'),
            "param_name"    => 'style',
            "value"         => array(
            	'Avatar'    => 'avatar',
            	'List'      => 'list',
            	'Grid'      => 'grid',
            	),
            "std"           => 'mini',
            "description"   => esc_html__('Style of supporter display', 'campoal-tapo')
        ),
        array(
            "type" => 'dropdown',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Size', 'campoal-tapo'),
            "param_name" => 'size',
            "value" => array(
            	'Mini'      => 'mini',
            	'Tiny'      => 'tiny',
            	'Small'     => 'small',
            	'Medium'    => 'medium',
                'Large'     => 'large',
                'Big'       => 'big',
                'Huge'      => 'huge',
                'Massive'   => 'massive',
            	),
            "std" => 'medium',
            "description" => esc_html__('Number of supporters display', 'campoal-tapo')
        ),
        array(
            "type" => 'dropdown',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Column', 'campoal-tapo'),
            "param_name" => 'column',
            "value" => array(
                'One' => 'one',
                'Two' => 'two',
                'Three' => 'three',
                'Four' => 'four',
                ),
            "std" => 'ASC',
            "description" => esc_html__('Column number for grid style', 'campoal-tapo')
        ),
        array(
            "type" => 'checkbox',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Hide donation amount', 'campoal-tapo'),
            "param_name" => 'hide_amount',
            "description" => esc_html__('Hide amount of donation on donors card', 'campoal-tapo')
        ),
      )
   ) );
}
?>