<?php

/**
 * Title shortcode
 */

if( !function_exists('conikal_header_shortcode') ): 
    function conikal_header_shortcode($attrs, $content = null) {
        extract(shortcode_atts(array(
            'title' => '',
            'size' => 'normal',
            'border' => 'short',
            'align' => 'left',
            'invert' => 'no',
            'padding' => 'no',
        ), $attrs));

        $return_string = conikal_custom_heading_render($attrs, $content);

        return $return_string;
    }
endif;


// interact with visual composer

add_action( 'vc_before_init', 'conikal_vc_header_shortcode' );
function conikal_vc_header_shortcode() {
   vc_map( array(
      "name" => esc_html__('Heading', 'campoal-tapo'),
      "base" => 'header',
      "class" => '',
      "category" => esc_html__('Campoal', 'campoal-tapo'),
      'admin_enqueue_js' => plugin_dir_url( __FILE__ ) . 'vc_extend/bartag.js',
      'admin_enqueue_css' => plugin_dir_url( __FILE__ ) . 'vc_extend/bartag.css',
      "icon" => plugin_dir_url( __FILE__ ) . 'images/campoal-icon.svg',
      "params" => array(
        array(
            "type" => 'textfield',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Title', 'campoal-tapo'),
            "param_name" => 'title',
            "value" => '',
            "description" => esc_html__('Text Title Heading', 'campoal-tapo')
        ),
        array(
            "type" => 'textarea_html',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Description', 'campoal-tapo'),
            "param_name" => 'content',
            "value" => '',
            "description" => esc_html__('Text Below heading', 'campoal-tapo')
        ),
        array(
            "type" => 'dropdown',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Size', 'campoal-tapo'),
            "param_name" => 'size',
            "value" => array(
                'normal' => 'normal',
                'Tiny' => 'tiny',
                'Small' => 'small',
                'Medium' => 'medium',
                'Large' => 'large',
                'Huge'  => 'huge',
            ),
            "std" => 'short',
            "description" => esc_html__('Size of Header', 'campoal-tapo')
        ),
        array(
            "type" => 'dropdown',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Border', 'campoal-tapo'),
            "param_name" => 'border',
            "value" => array(
                'None' => 'none',
                'Short' => 'short',
                'Long' => 'long',
                'Full' => 'full',
                ),
            "std" => 'short',
            "description" => esc_html__('Border below Header', 'campoal-tapo')
        ),
        array(
            "type" => 'dropdown',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Text Align', 'campoal-tapo'),
            "param_name" => 'align',
            "value" => array(
                'Left' => 'left',
                'Right' => 'right',
                'Center' => 'center'
                ),
            "std" => 'left',
            "description" => esc_html__('Align text Header', 'campoal-tapo')
        ),
        array(
            "type" => 'dropdown',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Invert', 'campoal-tapo'),
            "param_name" => 'invert',
            "value" => array(
                'No' => 'no',
                'Yes' => 'yes',
                ),
            "std" => 'no',
            "description" => esc_html__('Invert Header', 'campoal-tapo')
        ),
        array(
            "type" => 'dropdown',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Padding', 'campoal-tapo'),
            "param_name" => 'padding',
            "value" => array(
                'No' => 'no',
                'Padded' => 'padded',
                'Very Padded' => 'very padded',
                ),
            "std" => 'no',
            "description" => esc_html__('Padding Header', 'campoal-tapo')
        )
      )
   ) );
}


?>