<?php

/**
 * Petition list content in shortcode
 */
if (!function_exists('conikal_shortcode_loop_post')) :
    function conikal_shortcode_loop_post($posts, $attrs, $content = null) {
        extract(shortcode_atts(array(
            'title' => '',
            'title_alignment' => 'center',
            'show' => '4',
            'carousel' => 'no',
            'column' => 'four',
            'hover' => false,
        ), $attrs));
        
    	if (!$posts) {
    		return;
    	}

    	$return_string = '';
        if ($title != '') {
            $return_string .= '<div class="ui ' . esc_attr( $title_alignment ) . ' aligned vertical basic segment"><div class="ui huge header">' . esc_html($title) . '</div>';
            $return_string .= '<div class="title-divider"></div></div>';
        }

        if ( conikal_carousel_mode($carousel) == 0) {
            $return_string .= '<div class="ui ' . $column . ' stackable cards petition-cards">';
        } else {
            $return_string .= '<div class="feature-post-carousel carousel-v1"><div class="post-carousel" data-column="' . esc_attr($column) . '">';
        }

        if ( $posts->have_posts() ) {
             while ( $posts->have_posts() ) {
                $return_string .= conikal_shortcode_post_card($posts->the_post(), $attrs, $content);
            }
        }

        if ( conikal_carousel_mode($carousel) == 0) {
            $return_string .= '</div>';
        } else {
            $return_string .= '</div></div>';
        }

        return $return_string;
    }
endif;

?>