<?php 
/**
 * @package WordPress
 * @subpackage Campoal Tapo
 */

use TijsVerkoyen\CssToInlineStyles\CssToInlineStyles;

/*
* Render sign share block in html
*/

if (!function_exists('conikal_sign_share_block_render')) {
    function conikal_sign_share_block_render($attrs, $content = null) {
        extract(shortcode_atts(array(
            'id'                => 1,
            'type'              => 'sign' ,
            'mode'              => 'always',
            'custom_share_link' => false,
            'share_link_type'   => true,
            'prompt_action'     => true,
            'desktop_only'      => false,
            'form_prefix'       => 'SC'
        ), $attrs));

        global $campoal_options;
        global $current_user;

        $fb_app_id          = isset($campoal_options['conikal_fb_id_field']) ? $campoal_options['conikal_fb_id_field'] : '';
        $fb_login           = isset($campoal_options['conikal_fb_login_field']) ? $campoal_options['conikal_fb_login_field'] : 0;
        $primary_share_button = isset($campoal_options['conikal_primary_share_button_field']) ? $campoal_options['conikal_primary_share_button_field'] : 'facebook';
        $receive_update     = isset($campoal_options['conikal_receive_update_field']) ? $campoal_options['conikal_receive_update_field'] : 'checked';
        $sign_anonymous     = isset($campoal_options['conikal_sign_anonymous_field']) ? $campoal_options['conikal_sign_anonymous_field'] : 'checked';
        $action_after_sign  = isset($campoal_options['conikal_action_after_sign_field']) ? $campoal_options['conikal_action_after_sign_field'] : '';
        $default_accordion  = isset($campoal_options['conikal_default_accordion_sign_field']) ? $campoal_options['conikal_default_accordion_sign_field'] : '';
        $embed_code         = isset($campoal_options['conikal_embed_code_field']) ? $campoal_options['conikal_embed_code_field'] : 0;
        $recaptcha_sign     = isset($campoal_options['conikal_google_recaptcha_sign_field']) ? $campoal_options['conikal_google_recaptcha_sign_field'] : 1;
        $two_input_name     = isset($campoal_options['conikal_two_input_name_field']) ? $campoal_options['conikal_two_input_name_field'] : 0;
        $reason_sign_box    = isset($campoal_options['conikal_reason_sign_box_field']) ? $campoal_options['conikal_reason_sign_box_field'] : 0;
        $share_comment_box  = isset($campoal_options['conikal_share_comment_box_field']) ? $campoal_options['conikal_share_comment_box_field'] : 0;
        $button_style       = isset($campoal_options['conikal_citation_button_style_field']) ? $campoal_options['conikal_citation_button_style_field'] : 'one';
        $hashtag            = isset($campoal_options['conikal_social_hastag_field']) ? $campoal_options['conikal_social_hastag_field'] : '';
        $guest_location     = isset($campoal_options['conikal_guest_location_field']) ? $campoal_options['conikal_guest_location_field'] : 1;
        $guest_phone        = isset($campoal_options['conikal_guest_phone_field']) ? $campoal_options['conikal_guest_phone_field'] : 0;
        $guest_zip          = isset($campoal_options['conikal_guest_zip_field']) ? $campoal_options['conikal_guest_zip_field'] : 0;
        $guest_zip_r        = isset($campoal_options['conikal_guest_zip_r_field']) ? $campoal_options['conikal_guest_zip_r_field'] : 0;
        $guest_country      = isset($campoal_options['conikal_guest_country_field']) ? $campoal_options['conikal_guest_country_field'] : 0;
        $guest_country_r    = isset($campoal_options['conikal_guest_country_r_field']) ? $campoal_options['conikal_guest_country_r_field'] : 0;
        $guest_location_r   = isset($campoal_options['conikal_guest_location_r_field']) ? $campoal_options['conikal_guest_location_r_field'] : 0;
        $guest_phone_r      = isset($campoal_options['conikal_guest_phone_r_field']) ? $campoal_options['conikal_guest_phone_r_field'] : 0;
        $social_buttons_sortable    = isset($campoal_options['conikal_social_buttons_sortable_field']) ? $campoal_options['conikal_social_buttons_sortable_field'] : 0;
        $citation_instant_add       = isset($campoal_options['conikal_citation_instant_add_field']) ? $campoal_options['conikal_citation_instant_add_field'] : 'none';

        $give_prefix        = '_give_';

        if (!get_post_status($id)) {
            $return_string = '<div class="ui negative message"><div class="header">' . esc_html__("The petition doesn't exists", 'campoal-tapo') . '</div></div>';
        } else {
            $title              = get_the_title($id);
            $link               = get_permalink($id);
            $petition_status    = get_post_meta($id, 'petition_status', true);
            $heading            = get_post_meta($id, 'petition_heading', true);
            $topics             = wp_get_post_terms($id, 'petition_topics');
            $supporter_number   = conikal_get_supporter_donors_number($id);
            $supporter_label    = $supporter_number->label;
            $goal               = $supporter_number->goal;
            $sign_num           = $supporter_number->sign;
            $copiable_url       = conikal_get_shorten_link($id);

            // get current user avatar
            $current_user_avatar        = conikal_get_avatar_url( $current_user->ID, array('size' => 64) );
            $current_user_avatar_retina = conikal_get_avatar_url( $current_user->ID, array('size' => 128) );
            
            // get author name
            $author_id = get_post_field('post_author', $id);
            $author_name = conikal_get_author_name($author_id);

            // get sign number
            $user = wp_get_current_user();
            // delete_user_meta($user->ID, 'petition_sign');
            $sign = get_user_meta($user->ID, 'petition_sign', true);
            $bookmarks = get_user_meta($user->ID, 'petition_bookmark', true);
            $sign = $sign != '' ? $sign : array();

            // get custom sign button label
            $sign_button_text   = conikal_custom_sign_label_button($id);

             // get form option
            $form_id = get_post_meta($id, 'petition_contribute', true);
            $contribute_approve = get_post_status($form_id);
            if ($contribute_approve != 'publish') {
                $form_id = '';
            }
            $reveal_label = get_post_meta($form_id, '_give_reveal_label', true);

            // check user has purchases
            if (class_exists('Give')) {
                $user_contribute = conikal_user_purchased_donation($form_id);
            } else {
                $user_contribute = true;
            }

            // get topics hastag
            $topics_hashtag = '';
            if ($topics) {
                foreach ($topics as $topic) {
                    $topics_hashtag .= '#' . $topic->name . ',';
                }
                $hashtag = $topics_hashtag;
            }

            $thumbnail          = conikal_get_petition_thumbnail($id, 'conikal-petition-thumbnail', false);
            $thumbnail_retina   = conikal_get_petition_thumbnail($id, 'conikal-petition-thumbnail-retina', false);

            $lazy_placeholder           = conikal_lazy_load_placeholder('thumbnail-square');
            $lazy_placeholder_avatar    = conikal_lazy_load_placeholder('avatar');

            $goal_option        = get_post_meta($form_id, $give_prefix . 'goal_option', true);
            $raise_number       = conikal_get_supporter_donors_number($form_id, 'donor', true);

            // get petition citation status
            $citation_apply = isset($campoal_options['conikal_citation_apply_field']) ? $campoal_options['conikal_citation_apply_field'] : 'single';
            if ($citation_apply == 'global') {
                $citation = isset($campoal_options['conikal_citation_field']) ? $campoal_options['conikal_citation_field'] : 1;
            } else {
                $petition_citation = get_post_meta($id, 'petition_citation_status', true);
                $citation = isset($campoal_options['conikal_citation_field']) ? ($petition_citation != '' ? $petition_citation : $campoal_options['conikal_citation_field']) : 1;
            }

            // citation data
            if ($citation) {
                $opinion_yes_number = get_post_meta($id, 'citation_opinion_yes', true);
                $opinion_yes_number = ($opinion_yes_number != '') ? $opinion_yes_number : 0;
                $opinion_no_number = get_post_meta($id, 'citation_opinion_no', true);
                $opinion_no_number = ($opinion_no_number != '') ? $opinion_no_number : 0;
                $opinion_total = (intval($opinion_yes_number) + intval($opinion_no_number));
                $fact_score = ($opinion_yes_number != 0 || $opinion_no_number != 0) ? (intval($opinion_yes_number) / intval($opinion_total)) * 100 : 0;
                $fact_score = round($fact_score);
            }

            // Update when custom share link enable
            if (!empty($custom_share_link) || $share_link_type) {
                if (empty($custom_share_link) && $share_link_type) {
                    global $post;
                    $custom_share_link = $post->ID;
                }

                $title              = get_the_title($custom_share_link);
                $link               = get_permalink($custom_share_link);
                $copiable_url       = conikal_get_shorten_link($custom_share_link);
                $thumbnail          = conikal_get_petition_thumbnail($custom_share_link, 'conikal-petition-thumbnail', false);
                $thumbnail_retina   = conikal_get_petition_thumbnail($custom_share_link, 'conikal-petition-thumbnail-retina', false);
            }

            // Get social meta
            $social_meta = conikal_social_meta(!empty($custom_share_link) ? $custom_share_link : $id);

            // Get social button data
            $social_buttons = conikal_social_buttons_data($social_meta, ($fb_login && !empty($fb_app_id) ? $fb_app_id : false), '0', $id, $custom_share_link);

            // Get primary button data
            $primary_button = $social_buttons[$primary_share_button];

            // Mail sharing content
            $mail_sharing_subject   = conikal_user_email_sharing($id, 'subject', $custom_share_link);
            $mail_sharing_content   = conikal_user_email_sharing($id, 'message', $custom_share_link);
            $mail_sharing_custom    = conikal_user_email_sharing($id, 'custom', $custom_share_link);

            // Get share counter 
            $share_counter = conikal_get_share_counter($id);

            // column button
            $share_column_number = 5;
            $share_column_class  = 'six';
            if (wp_is_mobile()) {
                $share_column_number = 4;
                $share_column_class  = 'five';
            }

            $give_attrs['id']           = $form_id;
            $give_attrs['show_goal']    = false;

            $share_classes =  esc_attr($share_column_class) . ' column grid social-share';
            $button_classes = 'basic icon button';

            $return_string = '';

            // Short link copyable field
            $short_link_string = '<div class="ui divider"></div>
            <div class="ui right action left icon fluid small input">
                <i class="linkify icon"></i>
                <input type="text" class="short-link" id="short-link' . esc_attr($form_prefix) . esc_attr($id) . '" data-id="' . esc_attr($id) . '" value="' . esc_url($copiable_url) . '" data-load="0" readonly>
                <button id="copy-link' . esc_attr($form_prefix) . esc_attr($id) . '" class="ui basic button copy-link" data-id="' . esc_attr($id) . '" data-prefix="' . esc_attr($form_prefix) . '"><i class="copy icon"></i>' . esc_html__('Copy', 'campoal-tapo') . '</button>
            </div>
            <div id="msg-copy' . esc_attr($form_prefix) . esc_attr($id) . '"></div>';


            $share_buttons_string = '<div class="ui hidden divider"></div>
            <div class="ui ' . esc_attr($share_classes) . '">';

            $i = 1;
            foreach ($social_buttons_sortable as $social => $status) {
                if ($status && $i <= $share_column_number && array_key_exists($social, $social_buttons)) {
                    $button_data = $social_buttons[$social];

                    $share_buttons_string .= '<div class="column"><a href="' . esc_attr($button_data['onclick'] ? $button_data['link'] : $button_data['link']) . '" 
                        class="ui ' . esc_attr($button_classes) . ' ' . esc_attr(in_array($social, array('facebook', 'messenger')) ? '' : 'share-button-counter ') . esc_attr($button_data['classes']) . '" 
                        id="' . esc_attr($social . '-share-button' . $form_prefix . $id) . '" 
                        data-social="' . esc_attr($social) . '" 
                        data-id="' . esc_attr($id) . '" 
                        data-heading="' . esc_attr(urlencode($social_meta->title)) . '" 
                        data-link="' . esc_attr($social_meta->link) . '" ';

                    if ($button_data['onclick']) {
                        $share_buttons_string .= ' onclick="javascript:window.open(this.href, \'\', \'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=' . esc_attr($button_data['popup']['height']) . ',width=' . esc_attr($button_data['popup']['width']) . '\');return false;"';
                    }

                    if ($social == 'mail' || $social == 'gmail') {
                        $share_buttons_string .= '
                            data-subject="' . esc_attr($mail_sharing_subject) . '" 
                            data-mail="' . esc_attr($mail_sharing_content) . '" 
                            data-custom="' . esc_attr($mail_sharing_custom) . '" 
                        ';
                    }

                    $share_buttons_string .= ' data-content="' . esc_attr($button_data['label']) . sprintf(esc_html__(' (%s)', 'campoal-tapo'), esc_attr($button_data['counter'])) . '" 
                        data-variation="small" 
                        data-position="top center"
                        data-id="' . esc_attr($id) . '">
                            <i class="' . esc_attr($button_data['icon']) . '"></i>
                    </a></div>';
                }
                $i++;
            }

            $share_buttons_string .= '<div class="column">
                <div class="ui icon top right pointing dropdown ' . esc_attr($button_classes) . ' more-share">
                    <i class="ellipsis horizontal icon"></i>
                    <div class="menu">';
                        $i_dropdown = 1;
                        foreach ($social_buttons_sortable as $social => $status) {
                            if ($status && $i_dropdown > $share_column_number && array_key_exists($social, $social_buttons)) {
                                $button_data = $social_buttons[$social];
                                    $share_buttons_string .= '<a href="' . esc_attr($button_data['onclick'] ? $button_data['link'] : $button_data['link']) . '" 
                                        class="item ' . esc_attr(in_array($social, array('facebook', 'messenger')) ? '' : 'share-button-counter ') . esc_attr($button_data['classes']) . '" 
                                        id="' . esc_attr($social . '-share-button' . $form_prefix . $id) . '" 
                                        data-social="' . esc_attr($social) . '" 
                                        data-id="' . esc_attr($id) . '" 
                                        data-heading="' . esc_attr(urlencode($social_meta->title)) . '" 
                                        data-link="' . esc_attr($social_meta->link) . '" ';
                                    
                                    if ($button_data['onclick']) {
                                        $share_buttons_string .= ' onclick="javascript:window.open(this.href, \'\', \'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=' . esc_attr($button_data['popup']['height']) . ',width=' . esc_attr($button_data['popup']['width']) . '\');return false;"';
                                    }

                                    if ($social == 'mail' || $social == 'gmail') {
                                        $share_buttons_string .= '
                                            data-subject="' . esc_attr($mail_sharing_subject) . '" 
                                            data-mail="' . esc_attr($mail_sharing_content) . '" 
                                            data-custom="' . esc_attr($mail_sharing_custom) . '" 
                                        ';
                                    }
                                    
                                    $share_buttons_string .= ' data-id="' . esc_attr($id) . '">
                                        <i class="' . esc_attr($button_data['icon']) . '"></i>
                                        ' . esc_attr($button_data['name']) . ' 
                                        <span id="' . esc_attr($social) . '-share-counter' . esc_attr($social_meta->id) . '">' . sprintf(esc_html__(' (%s)', 'campoal-tapo'), esc_html( $button_data['counter']) ) . '</span>
                                    </a>';
                            }
                            $i_dropdown++;
                        }
                    $share_buttons_string .= '</div>
                </div>
            </div>';

            $share_buttons_string .= '</div>';

            // share string html
            $share_string = '<div class="ui form">
                <div class="field">
                    <div class="ui pointing below fluid basic large label">';
                    if ($share_comment_box) {
                        $share_string .= '<textarea name="signComment" id="sign-comment' . esc_attr($id) . '" class="sign-comment" rows="3" placeholder="' . esc_attr__('Add a personal message', 'campoal-tapo') . '" data-id="' . esc_attr($id) . '"></textarea>
                        <div class="ui horizontal divider">
                            <i class="share alternate icon"></i> 
                            <span id="share-number' . esc_attr($form_prefix) . esc_attr($id) . '">
                                ' . esc_html( conikal_format_number('%!,0i', (!empty($share_counter['total']) ? $share_counter['total'] : 0), true) ) . '
                            </span>
                            ' . esc_html__('Shares', 'campoal-tapo') . '
                        </div>';
                    }
                        $share_string .= '<div class="ui grid">
                            <div class="four wide column">';
                            $share_string .= '<img class="ui fluid rounded image lazy" id="thumbnail-share" data-src="' . esc_url($thumbnail) . '" data-retina="' . esc_url($thumbnail_retina) . '" src="' . esc_url($lazy_placeholder) . '" alt="' . esc_attr($title) . '">';
                            $share_string .= '</div>
                            <div class="twelve wide column">
                                <h3>' . ($heading != '' ? esc_html($heading) : esc_html($title)) . '</h3>
                            </div>
                        </div>
                    </div>';

                $share_string .= '<a href="' . esc_attr($primary_button['onclick'] ? $primary_button['link'] : $primary_button['link']) . '" 
                    class="ui fluid ' . esc_attr($primary_share_button) . ' big button primary-share-button '  . esc_attr(in_array($primary_share_button, array('facebook', 'messenger')) ? '' : 'share-button-counter ') . esc_attr($primary_button['classes']) . '" 
                    id="' . esc_attr($primary_share_button . '-primary-button') . esc_attr($form_prefix) . esc_attr($id) . '" 
                    data-id="' . esc_attr($id) . '" 
                    data-social="' . esc_attr($primary_share_button) . '" 
                    data-heading="' . esc_attr(urlencode($social_meta->title)) . '" 
                    data-link="' . esc_attr($social_meta->link) . '" ';
                
                if ($primary_button['onclick']) {
                    $share_string .= ' onclick="javascript:window.open(this.href, \'\', \'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=' . esc_attr($primary_button['popup']['height']) . ',width=' . esc_attr($primary_button['popup']['width']) . '\');return false;"';
                }

                if ($primary_share_button == 'mail' || $primary_share_button == 'gmail') {
                    $share_string .= '
                        data-subject="' . esc_attr($mail_sharing_subject) . '" 
                        data-mail="' . esc_attr($mail_sharing_content) . '" 
                        data-custom="' . esc_attr($mail_sharing_custom) . '" 
                    ';
                }
                
                $share_string .= ' data-id="' . esc_attr($id) . '">
                    <i class="' . esc_attr($primary_button['icon']) . '"></i>
                    ' . esc_html($primary_button['label']) . '
                </a>';

                $share_string .= '</div>';
                if ($citation && is_user_logged_in() && !isset($_GET['success']) && $type == 'share') {
                    if ($button_style == 'one') {
                        $share_string .= '<div class="field citation-opinion" id="citation-opinion' . esc_attr($id) . '">
                            <input type="radio" class="citationBtn" name="citation_opinion' . esc_attr($id) . '" id="yes' . esc_attr($id) . '" value="yes" checked />
                            <input type="radio" class="citationBtn" name="citation_opinion' . esc_attr($id) . '" id="no' . esc_attr($id) . '" value="no" />
                            <div class="switch">
                                <label for="yes' . esc_attr($id) . '" id="opinion-yes" data-redirection="1">' . esc_html__('Agree', 'campoal-tapo') . '</label>
                                <label for="no' . esc_attr($id) . '" id="opinion-no" data-redirection="1">' . esc_html__('Disagree', 'campoal-tapo') . '</label>
                                <span></span>
                            </div>
                        </div>';
                    } elseif ($button_style == 'two') {
                        $share_string .= '<div class="field stv-radio-buttons-wrapper citation-opinion" id="citation-opinion' . esc_attr($id) . '">
                            <div class="stv-radio-buttons-wrapper">
                              <input type="radio" class="stv-radio-button" name="citation_opinion' . esc_attr($id) . '" value="yes" id="yes' . esc_attr($id) . '" checked>
                              <label class="ui large button citation-opinion-btn citationBtn citation-yes" for="yes' . esc_attr($id) . '" data-id="' . esc_attr($id) . '" data-redirection="1">
                                ' . conikal_custom_icon('agree') . esc_html__('Agree', 'campoal-tapo') . '</label>
                              <input type="radio" class="stv-radio-button" name="citation_opinion' . esc_attr($id) . '" value="no" id="no' . esc_attr($id) . '" />
                              <label class="ui large button citation-opinion-btn citationBtn citation-no" for="no' . esc_attr($id) . '" data-id="' . esc_attr($id) . '" data-redirection="1">
                                ' . conikal_custom_icon('disagree') . esc_html__('Disagree', 'campoal-tapo') . '</label>
                            </div>
                          </div>';
                    }
                    $share_string .= '<div class="field">
                      <div class="ui primary tiny progress citation-opinion-progress" id="citation-opinion-progress' . esc_attr($id) . '" data-value="' . esc_attr($opinion_yes_number ? $opinion_yes_number : 0) . '" data-total="' . esc_attr($opinion_total ? $opinion_total : 0) . '">
                        <div class="bar">
                          <div class="progress"></div>
                        </div>
                        <div class="label">' . esc_html__('Fact score: ', 'campoal-tapo') .' <span class="citation-fact-score" id="citation-fact-score' . esc_attr($id) . '">' . esc_html($fact_score) . '</span>' . esc_html__('%', 'campoal-tapo') . '</div>
                      </div>
                    </div>
                    <div class="ui hidden divider"></div>';
                }
            $share_string .= '</div>';
            $share_string .= $share_buttons_string;
            $share_string .= $short_link_string;


            // define type of display sign or share section
            if ($type == 'sign') {
                if(is_user_logged_in()) {
                    $return_string .= '<div id="sign-share-block' . esc_attr($id) . '"><div id="sign-response"></div>
                    <div class="ui message">
                        <div class="ui list">
                            <div class="item">
                                <img class="ui avatar image lazy" data-src="' . esc_url($current_user_avatar) . '" data-retina="' . esc_url($current_user_avatar_retina) . '" src="' . esc_url($lazy_placeholder_avatar) . '">
                                <div class="content">
                                    <div class="header">' . esc_html($current_user->display_name) . '</div>
                                    <div class="description">';
                                    if ($current_user->user_country || $current_user->user_state || $current_user->user_city) {
                                        $return_string .= ($current_user->user_city ? esc_html($current_user->user_city) . ', ' : '') . ($current_user->user_state ? esc_html($current_user->user_state) . ', ' : '') . esc_html($current_user->user_country); 
                                    }
                                    $return_string .= '
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <form class="ui form sign-petition-form" id="signPetitionForm' . esc_attr($form_prefix) . esc_attr($id) . '">
                        <div class="field">';
                        if ($reason_sign_box) {
                            $return_string .= '<div class="ui pointing below fluid basic label font large">
                                <textarea name="signComment" id="sign-comment' . esc_attr($id) . '" class="sign-comment" rows="4" placeholder="' . esc_attr__('I am signing because...', 'campoal-tapo') . '"></textarea>
                            </div>';
                        }
                            $return_string .= '<div class="ui message sign-option">
                                <div id="fb-publish' . esc_attr($id) . '" class="fb-publish ui toggle checkbox ' . ($current_user->fb_publish == 1 ? esc_attr('checked') : '') . '"  data-id="' . esc_attr($id) . '">
                                    <input type="checkbox" name="fbPublish" class="hidden" ' . ($current_user->fb_publish == 1 ? esc_attr('checked') : '') . '>
                                    <label><i class="facebook icon"></i>' . esc_html__('Share with Facebook friends', 'campoal-tapo') . '</label>
                                </div>
                            </div>
                        </div>
                        <div class="field ' . esc_attr($citation ? 'display none' : '') . '">
                            <a href="javascript:void(0);" class="ui fluid primary big button signBtn' . esc_attr($form_prefix) . ' ' . esc_attr(in_array($id, $sign) === false ? 'signPetition' : 'signedPetition') . '" id="signBtn' . esc_attr($form_prefix) . esc_attr($id) . '" data-id="' . esc_attr($id) . '">' . conikal_custom_icon(in_array($id, $sign) === false ? 'sign' : 'checkmark') . esc_html($sign_button_text) . '</a>
                        </div>';
                    if ($citation) {
                        if ($button_style == 'one') {
                            $return_string .= '<div class="field citation-opinion" id="citation-opinion' . esc_attr($id) . '">
                                <input type="radio" name="citation_opinion" id="yes" value="yes" checked />
                                <input type="radio" name="citation_opinion" id="no" value="no" />
                                <div class="switch">
                                    <label for="yes" id="opinion-yes" class="citation-opinion-btn" data-id="' . esc_attr($id) . '" data-redirection="0">' . esc_html__('Agree', 'campoal-tapo') . '</label>
                                    <label for="no" id="opinion-no" class="citation-opinion-btn" data-id="' . esc_attr($id) . '" data-redirection="0">' . esc_html__('Disagree', 'campoal-tapo') . '</label>
                                    <span></span>
                                </div>
                            </div>';
                        } elseif ($button_style == 'two') {
                            $return_string .= '<div class="field stv-radio-buttons-wrapper citation-opinion" id="citation-opinion' . esc_attr($id) . '">
                                <div class="stv-radio-buttons-wrapper">
                                  <input type="radio" class="stv-radio-button" name="citation_opinion' . esc_attr($id) . '" value="yes" id="yes' . esc_attr($id) . '" checked />
                                  <label class="ui large button citation-opinion-btn citation-yes" for="' . esc_attr($id) . '" data-id="' . esc_attr($id) . '" data-redirection="0">
                                    ' . conikal_custom_icon('agree') . esc_html__('Agree', 'campoal-tapo') . '</label>
                                  <input type="radio" class="stv-radio-button" name="citation_opinion' . esc_attr($id) . '" value="no" id="no' . esc_attr($id) . '" />
                                  <label class="ui large button citation-opinion-btn citation-no" for="no' . esc_attr($id) . '" data-id="' . esc_attr($id) . '" data-redirection="0">
                                    ' . conikal_custom_icon('disagree') . esc_html__('Disagree', 'campoal-tapo') . '</label>
                                </div>
                              </div>';
                        }
                        $return_string .= '<div class="field ' . esc_attr($citation ? '' : 'display none') . '">
                            <a href="javascript:void(0);" class="ui fluid primary big button citationBtn" id="citationBtn' . esc_attr($id) . '" data-id="' . esc_attr($id) . '" data-redirection="0">
                                ' . conikal_custom_icon('sign') . esc_html($sign_button_text) . '
                            </a>
                        </div>
                        <div class="field">
                          <div class="ui primary tiny progress citation-opinion-progress" id="citation-opinion-progress' . esc_attr($id) . '" data-value="' . esc_attr($opinion_yes_number ? $opinion_yes_number : 0) . '" data-total="' . esc_attr($opinion_total ? $opinion_total : 0) . '">
                            <div class="bar">
                              <div class="progress"></div>
                            </div>
                            <div class="label">' . esc_html__('Fact score: ', 'campoal-tapo') .' <span class="citation-fact-score" id="citation-fact-score' . esc_attr($id) . '">' . esc_html($fact_score) . '</span>' . esc_html__('%', 'campoal-tapo') . '</div>
                          </div>
                        </div>
                        <div class="ui hidden divider"></div>';
                    }
                    if (conikal_show_google_reCaptcha() && $recaptcha_sign == 1) {
                        $return_string .= '<div class="field">
                            <div class="conikal_reCaptcha"></div>
                            <input type="hidden" name="g-recaptcha-response" value="">
                        </div>';
                    }
                    if ($citation_instant_add != 'none' && $citation) {
                            $return_string .= '
                            <div class="field">
                                <div id="citation-instant' . esc_attr($id) . '" class="citation-instant ui checkbox '. esc_attr(($citation_instant_add == 'checked' && $current_user->citation_instant == '') || $current_user->citation_instant != 0 ? 'checked' : '') . '" data-id="' . esc_attr($id) . '">
                                  <input type="checkbox" name="citationInstant" ' . esc_attr(($citation_instant_add == 'checked' && $current_user->citation_instant == '') || $current_user->citation_instant != 0 ? 'checked' : '') . '>
                                  <label>' . esc_html__('Add citation instant on this petition', 'campoal-tapo') . '</label>
                                </div>
                            </div>';
                    }
                    if ($sign_anonymous != 'none') {
                    $return_string .= '
                        <div class="field">
                            <div id="sign-anonymous' . esc_attr($id) . '" class="sign-anonymous ui checkbox ' . esc_attr(($sign_anonymous == 'checked' && $current_user->anonymous == '') || $current_user->anonymous != 0 ? 'checked' : '') . '" data-id="' . esc_attr($id) . '">
                                <input type="checkbox" name="signAnonymous" ' . esc_attr(($sign_anonymous == 'checked' && $current_user->anonymous == '') || $current_user->anonymous != 0 ? esc_attr('checked') : '') . '>
                                <label>' . esc_html__('Display my name on this petition', 'campoal-tapo') . '</label>
                            </div>
                        </div>';
                    }
                    if ($receive_update != 'none') {
                    $return_string .= '
                        <div class="field">
                            <div id="email-notice' . esc_attr($id) . '" class="email-notice ui checkbox ' . esc_attr(($receive_update == 'checked' && $current_user->notice == '') || $current_user->notice != 0 ? 'checked' : '') . '" data-id="' . esc_attr($id) . '">
                                <input type="checkbox" name="emailNotice" ' . (($receive_update == 'checked' && $current_user->notice == '') || $current_user->notice != 0 ? esc_attr('checked') : '') . '>
                                <label>' . esc_html__('Notify me when new information', 'campoal-tapo') . '</label>
                            </div>
                        </div>';
                    }
                    $return_string .= '</form></div>';
                
                } else {
                    // get location of user by GeoIp
                    $geoip_info = conikal_client_geoip_info();
                    $return_string .= '<div id="sign-share-block' . esc_attr($id) . '">
                        <div class="respon-message signMessage" id="signMessage' . esc_attr($form_prefix) . esc_attr($id) . '"></div>
                        <form class="ui form guest-sign" id="guestSignForm' . esc_attr($form_prefix) . esc_attr($id) . '" data-id="' . esc_attr($id) . '">';
                    if ($two_input_name != 0) {
                    $return_string .= '
                        <div class="two fields">
                            <div class="field">
                                <div class="ui right large icon input">
                                    <input type="text" name="firstnameSign" id="firstnameSign" placeholder="' . esc_attr__('First Name', 'campoal-tapo') . '">';
                                if (wp_is_mobile()) {
                                    $return_string .= '<i class="user icon"></i>';
                                }
                                $return_string .= '</div>
                            </div>
                            <div class="field">
                                <div class="ui right icon large input">
                                    <input type="text" name="lastnameSign" id="lastnameSign" placeholder="' . esc_attr__('Last Name', 'campoal-tapo') . '">
                                    <i class="user icon"></i>
                                </div>
                            </div>
                        </div>';
                    }
                    if ($two_input_name != 1) {
                    $return_string .= '
                            <div class="field">
                                <div class="ui right icon large input">';
                    }
                    $return_string .= '<input type="' . esc_attr($two_input_name == 0 ? 'text' : 'hidden') . '" name="nameSign" id="nameSign"' . ($two_input_name == 0 ? ' placeholder="' . esc_attr__('Full name', 'campoal-tapo') . '"' : '') . '>';
                    if ($two_input_name != 1) {
                    $return_string .= '
                                    <i class="user icon"></i>
                                </div>
                            </div>';
                    }
                    $return_string .= '
                            <div class="required field">
                                <div class="ui right icon large input">
                                    <input type="text" name="emailSign" id="emailSign" placeholder="' . esc_attr__('Email', 'campoal-tapo') . '">
                                    <i class="mail icon"></i>
                                </div>
                            </div>';
                    if ($guest_location == 1) {
                        $return_string .= '
                            <div class="field' . esc_attr($guest_location_r == 1 ? ' required' : '')  . '">
                                <div class="ui right icon large input">
                                    <input type="text" name="addressSign" id="addressSign' . esc_attr($form_prefix) . esc_attr($id) . '" placeholder="' . esc_attr__('Address', 'campoal-tapo') . '">
                                    <i class="map marker icon"></i>
                                </div>
                            </div>';
                    }
                    if ($guest_zip == 1) {
                        $return_string .= '
                            <div class="field' . esc_attr($guest_zip_r == 1 ? ' required' : '')  . '">
                                <div class="ui right icon large input">
                                    <input type="text" name="zipSign" id="zipSign' . esc_attr($form_prefix) . esc_attr($id) . '" placeholder="' . esc_attr__('Zip code', 'campoal-tapo') . '" value="' . esc_attr($geoip_info ? $geoip_info->continent->geonameId : '') . '">
                                    <i class="barcode icon"></i>
                                </div>
                            </div>';
                    }
                    $return_string .= '
                            <input type="hidden" name="passSign" id="passSign" value="' . wp_generate_password(6, false) . '">
                            <input type="hidden" id="citySign' . esc_attr($form_prefix) . esc_attr($id) . '" name="citySign" value="' . esc_attr($geoip_info ? $geoip_info->city->name : '') . '">
                            <input type="hidden" id="stateSign' . esc_attr($form_prefix) . esc_attr($id) . '" name="stateSign" value="' . esc_attr($geoip_info ? $geoip_info->mostSpecificSubdivision->name : '') . '">
                            <input type="hidden" id="neighborhoodSign' . esc_attr($form_prefix) . esc_attr($id) . '" name="neighborhoodSign" value="">';
                        if ($guest_country_r == 0) {
                            $return_string .= '<input type="hidden" id="countrySign' . esc_attr($form_prefix) . esc_attr($id) . '" name="countrySign" value="' . esc_attr($geoip_info ? $geoip_info->country->isoCode : '') . '">';
                        }
                        if ($guest_zip_r == 0) {
                            $return_string .= '<input type="hidden" id="zipSign' . esc_attr($form_prefix) . esc_attr($id) . '" name="zipSign" value="' . esc_attr($geoip_info ? $geoip_info->continent->geonameId : '') . '">';
                        }
                        $return_string .= '
                            <input type="hidden" id="latSign' . esc_attr($form_prefix) . esc_attr($id) . '" name="latSign" value="' . esc_attr($geoip_info ? $geoip_info->location->latitude : '') . '">
                            <input type="hidden" id="lngSign' . esc_attr($form_prefix) . esc_attr($id) . '" name="lngSign" value="' . esc_attr($geoip_info ? $geoip_info->location->longitude : '') . '">
                        ';
                        if ($guest_country == 1) {
                            $return_string .= '
                                <div class="field' . esc_attr($guest_country_r == 1 ? ' required' : '') . '">
                                    <div class="ui fluid large search selection dropdown country-search" id="country-search' . esc_attr($id) . '" data-id="' . esc_attr($id) . '">
                                        <input type="hidden" name="countrySign" id="countrySign' . esc_attr($id) . '" value="' . esc_attr(!empty($up_country) ? $up_country : ($geoip_info ? $geoip_info->country->isoCode : '')) . '">
                                        <i class="dropdown icon"></i>
                                        <div class="default text">' . esc_html__('Select country', 'campoal-tapo') . '</div>
                                        <div class="menu">' . conikal_country_list_menu_html() . '</div>
                                    </div>
                                </div>';
                        }
                        if ($guest_phone == 1) {
                            $return_string .= '<div class="field' . esc_attr($guest_phone_r == 1 ? ' required' : '') . '">
                            <div class="ui large right icon left action input">
                                    <div class="ui search selection dropdown phone-code-dropdown">
                                        <input type="hidden" name="phonecodeSign" id="phonecodeSign" value="' . esc_attr($geoip_info ? $geoip_info->extra->tel : '1' ) . '">
                                        <div class="default text">' . esc_html($geoip_info ? $geoip_info->extra->tel : __('+1', 'campoal-tapo')) . '</div>
                                        <i class="dropdown icon"></i>
                                    </div>
                                    <i class="phone icon"></i>
                                    <input type="number" name="phoneSign" id="phoneSign" placeholder="' . esc_attr__('122-332-234', 'campoal-tapo') . '" value="">
                                </div>
                            </div>';
                        }
                        if ($reason_sign_box) {
                            $return_string .= '<div class="field">
                                <div class="ui pointing below fluid basic label font large">
                                    <textarea name="signComment" class="sign-comment" id="signComment" rows="3" placeholder="' . esc_attr__('I am signing because...', 'campoal-tapo') . '"></textarea>
                                </div>
                                <div class="ui message sign-option">
                                    <div class="ui toggle checkbox checked">
                                        <input type="checkbox" name="fbPublish" class="hidden" checked>
                                        <label><i class="facebook icon"></i>' . esc_html__('Share on Facebook', 'campoal-tapo') . '</label>
                                    </div>
                                </div>
                            </div>';
                        }
                        if ($citation) {
                            if ($button_style == 'one') {
                                $return_string .= '<div class="field citation-opinion" id="citation-opinion' . esc_attr($id) . '">
                                    <input type="radio" name="citation_opinion" id="yes" value="yes" checked />
                                    <input type="radio" name="citation_opinion" id="no" value="no" />
                                    <div class="switch">
                                        <label for="yes" id="opinion-yes" class="citation-opinion-btn" data-id="' . esc_attr($id) . '" data-redirection="0">' . esc_html__('Agree', 'campoal-tapo') . '</label>
                                        <label for="no" id="opinion-no" class="citation-opinion-btn" data-id="' . esc_attr($id) . '" data-redirection="0">' . esc_html__('Disagree', 'campoal-tapo') . '</label>
                                        <span></span>
                                    </div>
                                </div>';
                            } elseif ($button_style == 'two') {
                                $return_string .= '<div class="field stv-radio-buttons-wrapper citation-opinion" id="citation-opinion' . esc_attr($id) . '">
                                    <div class="stv-radio-buttons-wrapper">
                                      <input type="radio" class="stv-radio-button" name="citation_opinion' . esc_attr($id) . '" value="yes" id="yes' . esc_attr($id) . '" checked />
                                      <label class="ui large button citation-opinion-btn citation-yes" for="' . esc_attr($id) . '" data-id="' . esc_attr($id) . '" data-redirection="0">
                                        ' . conikal_custom_icon('agree') . esc_html__('Agree', 'campoal-tapo') . '</label>
                                      <input type="radio" class="stv-radio-button" name="citation_opinion' . esc_attr($id) . '" value="no" id="no' . esc_attr($id) . '" />
                                      <label class="ui large button citation-opinion-btn citation-no" for="no' . esc_attr($id) . '" data-id="' . esc_attr($id) . '" data-redirection="0">
                                        ' . conikal_custom_icon('disagree') . esc_html__('Disagree', 'campoal-tapo') . '</label>
                                    </div>
                                  </div>';
                            }
                            $return_string .= '<div class="field">
                                <a href="javascript:void(0);" class="ui primary fluid large button submitSign' . esc_attr($form_prefix) . '" id="submitSign' . esc_attr($form_prefix) . esc_attr($id) . '" data-id="' . esc_attr($id) . '">' . conikal_custom_icon('sign') . esc_html__('Sign this petition', 'campoal-tapo') . '</a>
                            </div>
                            <div class="field">
                              <div class="ui primary tiny progress citation-opinion-progress" id="citation-opinion-progress' . esc_attr($id) . '" data-value="' . esc_attr($opinion_yes_number ? $opinion_yes_number : 0) . '" data-total="' . esc_attr($opinion_total ? $opinion_total : 0) . '">
                                <div class="bar">
                                  <div class="progress"></div>
                                </div>
                                <div class="label">' . esc_html__('Fact score: ', 'campoal-tapo') .' <span id="citation-fact-score' . esc_attr($id) . '">' . esc_html($fact_score) . '</span>' . esc_html__('%', 'campoal-tapo') . '</div>
                              </div>
                            </div>
                            <div class="ui hidden divider"></div>';
                        } else {
                            $return_string .= '<div class="field">
                            <a href="javascript:void(0);" class="ui primary fluid large button submitSign' . esc_attr($form_prefix) . '" id="submitSign' . esc_attr($form_prefix) . esc_attr($id) . '" data-id="' . esc_attr($id) . '">' . conikal_custom_icon('sign') . esc_html__('Sign this petition', 'campoal-tapo') . '</a>
                        </div>';
                        }
                        if ($citation_instant_add != 'none' && $citation) {
                                $return_string .= '
                                <div class="field">
                                    <div class="citation-instant ui checkbox '. esc_attr($citation_instant_add == 'checked' ? 'checked' : '') . '">
                                      <input type="checkbox" name="citationInstant" ' . esc_attr($citation_instant_add == 'checked' ? 'checked' : '') . '>
                                      <label>' . esc_html__('Add citation instant on this petition', 'campoal-tapo') . '</label>
                                    </div>
                                </div>';
                        }
                        if ($sign_anonymous != 'none') {
                            $return_string .= '
                                <div class="field">
                                    <div class="sign-anonymous ui checkbox ' . esc_attr($sign_anonymous == 'checked' ? 'checked' : '') . '">
                                        <input type="checkbox" name="signAnonymous" ' . esc_attr($sign_anonymous == 'checked' ? 'checked' : '') . '>
                                        <label>' . esc_html__('Display my name on this petition', 'campoal-tapo') . '</label>
                                    </div>
                                </div>';
                            }
                        if ($receive_update != 'none') {
                            $return_string .= '
                                <div class="field">
                                    <div class="email-notice ui checkbox ' . esc_attr($receive_update == 'checked' ? 'checked' : '') . '">
                                        <input type="checkbox" name="emailNotice" ' . esc_attr($receive_update == 'checked' ? 'checked' : '') . '>
                                        <label>' . esc_html__('Notify me when new information', 'campoal-tapo') . '</label>
                                    </div>
                                </div>';
                        }
                        $return_string .= '</form></div>';

                }

                if ($prompt_action && in_array($id, $sign) === false && (int)$sign_num < (int)$goal && (int)$petition_status == 0) {
                    // get custom sign button label
                    $prompt_button_text   = conikal_custom_sign_label_button($id, __('Sign this petition', 'campoal-tapo'));
                    $prompt_action_remind = isset($_COOKIE['conikal_prompt_action_remind']) ? $_COOKIE['conikal_prompt_action_remind'] : 0;
                    if ($prompt_action_remind != 1) { 
                        $return_string .= '<div class="ui tiny modal prompt-action" id="prompt-action' . esc_attr($id) . '" data-id="' . esc_attr($id) . '" data-load="0">
                            <i class="close icon"></i>
                            <div class="content">
                                <h2 class="ui center aligned header">' . sprintf(esc_html__('Today: %s is counting on you
                        ', 'campoal-tapo'), $author_name) . '</h2>
                                <p class="font large aligncenter">' . sprintf( esc_html__('%1$s needs your help with “%2$s”. Join %1$s and %3$s supporters today.', 'campoal-tapo'), $author_name, $title, conikal_format_number('%!,0i', $sign_num) ) . '</p>
                                <div class="ui hidden divider"></div>
                                    <a href="#sign-share-block' . esc_attr($id) . '" class="ui primary fluid big button letSign" data-id="' . esc_attr($id) . '">' . conikal_custom_icon('sign') . esc_html($prompt_button_text) . '</a>
                            </div>
                        </div>';
                    }
                }

                wp_nonce_field('sign_ajax_nonce', 'securitySign' . $id, true);
            } elseif ($type == 'share') {
                $return_string .= $share_string;
                wp_nonce_field('share_ajax_nonce', 'securityShare' . ($id), true);
            } else {
                if (isset($form_id) && $form_id != '' && class_exists('Give')) {
                    $return_string .= '<div class="sign-section">';
                    $return_string .= give_form_shortcode($give_attrs);
                    $return_string .= '</div>';
                }
            }

            if ($type == 'sign' || $type == 'share') {
                $return_string .= '<input type="hidden" id="petition_id' . esc_attr($id) . '" value="' . esc_attr($id) . '">
                        <input type="hidden" id="petition_url' . esc_attr($id) . '" value="' . esc_attr($link) . '">
                        <input type="hidden" id="hashtag' . esc_attr($id) . '" name="hashtag" value="' . esc_attr($hashtag) . '">';
            }
            
            // display mode after sign
            if ($mode == 'show') {
                if ($sign != '') {
                    if(in_array($id, $sign) === false) {
                        $return_string = '<div class="ui hidden fitted divider"></div>';
                    }
                } elseif ($type == 'share') {
                    $return_string = '<div class="ui hidden fitted divider"></div>';
                }
            } elseif ($mode == 'hide') {
                if ($sign != '') {
                    if(in_array($id, $sign) === true) {
                        $return_string = '<div class="ui hidden fitted divider"></div>';
                    }
                } elseif ($type == 'share') {
                    $return_string = '<div class="ui hidden fitted divider"></div>';
                }
            }

            // Action after sign
            // Get custom confirmation page for this petition
            $confirmation_page = get_post_meta($id, 'petition_confirmation_page', true);

            // Check custom confirmation page for petition are available, if not so will use default confirm page in settings.
            if (!empty($confirmation_page)) {
                $sign_success_page = $confirmation_page;
            } else {
                $sign_success_page = isset($campoal_options['conikal_page_sign_successful_field']) ? $campoal_options['conikal_page_sign_successful_field'] : 0;
            }

            $sign_success_page = get_permalink($sign_success_page);
            $sign_success_page = add_query_arg(array('petition_id' => $id), $sign_success_page);
            $return_string .= '<input type="hidden" id="sign-successful-url' . esc_attr($id) . '" value="' . ($sign_success_page ? esc_url($sign_success_page) : '') . '">';
            
            if ($action_after_sign == 'modal' && (int)$sign_num < (int)$goal && (int)$petition_status == 0 && $type == 'sign' || (isset($_GET['success']) && $type == 'sign' ) ) {
                $return_string .= '<div class="ui modal" id="sign-successful-modal' . esc_attr($id) . '">
                <i class="close icon"></i>
                    <div class="content">
                        <div class="ui centered grid">
                            <div class="sixteen wide mobile eight wide tablet eight wide computer left aligned column share-column">
                                <div class="sign-success">
                                    <div class="ui basic center aligned segment">
                                        <h2 class="ui icon green header"><i class="circular checkmark icon"></i>' . esc_html__('You are signed Successfully!' ,'campoal-tapo') . '</h2>
                                        <p class="font medium">' . sprintf(esc_html__('You’re one of %2$s people to sign this petition. Now help find %1$s more people to reach the goal.', 'campoal-tapo'), conikal_format_number('%!,0i', $goal - $sign_num), conikal_format_number('%!,0i', $sign_num)) . '</p>
                                        <div class="ui hidden divider"></div>
                                        <button class="ui basic button skip-after-sign" id="skip-after-sign' . esc_attr($id) . '" data-id="' . esc_attr($id) . '">' . esc_html__('Skip this', 'campoal-tapo') . '</button>
                                    </div>
                                </div>
                            </div>
                            <div class="sixteen wide mobile eight wide tablet eight wide computer left aligned column contribute-column">
                                <div class="ui accordion">';
                                    if (isset($form_id) && $form_id != '' && class_exists('Give')) {
                                    $return_string .= '<div class="title' . ($default_accordion === 'contribute' && $user_contribute == false ? ' active' : '') . '">
                                        <h3 class="ui header">
                                        <i class="dropdown icon"></i>' . sprintf(esc_html__('%s to campaign', 'campoal-tapo'), $reveal_label) . '
                                        </h3>
                                    </div>
                                    <div class="content' . ($default_accordion === 'contribute' && $user_contribute == false ? ' active' : '') . '">';
                                        if (give_is_setting_enabled( $goal_option )) {
                                            $return_string .= '<div class="ui tiny header">' . sprintf( esc_html__('%1$s of %2$s raised', 'campoal-tapo'), esc_html($raise_number->sign_format), esc_html($raise_number->goal_format) ) . '</div>
                                            <div class="ui tiny primary progress petition-goal" data-value="' . esc_attr($raise_number->sign) . '" data-total="' . esc_attr($raise_number->goal) . '">
                                                <div class="bar">
                                                    <div class="progress"></div>
                                                </div>
                                            </div>';
                                        }
                                        $return_string .= give_form_shortcode($give_attrs) . 
                                    '</div>';
                                    }

                                    $return_string .= '<div class="title' . ($default_accordion === 'share' || $form_id === '' || $user_contribute == true ? ' active' : '') . '">
                                        <h3 class="ui header">
                                        <i class="dropdown icon"></i>' . esc_html__('Share this campaign', 'campoal-tapo') . '
                                        </h3>
                                    </div>
                                    <div class="content' . ($default_accordion === 'share' || $form_id === '' || $user_contribute == true ? ' active' : '')  . '">
                                    ' . $share_string . '
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>';
            }

            if (!empty($embed_code) && $type != 'contribute') {                
                // embed widget link
                $embed_width 		= isset($campoal_options['conikal_embed_width_field']) ? $campoal_options['conikal_embed_width_field'] : 380;
                $embed_height 		= isset($campoal_options['conikal_embed_height_field']) ? $campoal_options['conikal_embed_height_field'] : 560;
                $share_width 		= isset($campoal_options['conikal_share_embed_width_field']) ? $campoal_options['conikal_share_embed_width_field'] : 400;
                $share_height 		= isset($campoal_options['conikal_share_embed_height_field']) ? $campoal_options['conikal_share_embed_height_field'] : 400;
                $embed_page 		= isset($campoal_options['conikal_page_embed_field']) ? $campoal_options['conikal_page_embed_field'] : 0;
                $embed_link 		= !empty($embed_page) ? get_permalink($embed_page) : '';
                
                // card iframe url
                $title = get_the_title($id);
                $embed_iframe = $embed_link ? add_query_arg(array('id' => $id, 'style' => 'card'), $embed_link) : '';

                // html version  of card
                $post_type = get_post_type($id);
                if ($post_type == 'petition') {
                    $PetitionCardInline = new CssToInlineStyles();
                    $card_inline = $PetitionCardInline->convert(
                        conikal_embed_petition($id, 'card', 'html'),
                        conikal_embed_petition($id, 'card', 'style')
                    );
                } else if ($post_type == 'give_forms') {
                    $FundraisingCardInline = new CssToInlineStyles();
                    $card_inline = $FundraisingCardInline->convert(
                        conikal_embed_fundraising($id, 'card', 'html'),
                        conikal_embed_fundraising($id, 'card', 'style')
                    );
                }

                $card_inline = conikal_remove_init_html_tags($card_inline);

                // share iframe url
                $share_iframe = $embed_link ? add_query_arg(array('id' => $id, 'style' => 'share', 'custom_id' => $custom_share_link), $embed_link) : '';

                // html version of share
                $SharedInline 	= new CssToInlineStyles();
                $share_inline 	= $SharedInline->convert(
                    conikal_share_embed_petition($id, 'html', $custom_share_link),
                    conikal_share_embed_petition($id, 'style', $custom_share_link)
                );

                $share_inline = conikal_remove_init_html_tags($share_inline);
                                
                $return_string .= '<div class="ui tiny modal embed-modal" id="embed-modal' .  esc_attr($id) . '">
                <div class="content">
                    <div class="ui secondary pointing large menu embed-tab" id="embed-tab' .  esc_attr($id) . '">
                        <div class="item embed-header"><h3 class="ui header">' .  esc_html__('Embed Campaign', 'campoal-tapo') . '</h3></div>
                        <div class="right menu">
                            <a class="active item" data-tab="card' .  esc_attr($id) . '">
                                <i class="pen square icon"></i>
                                ' .  esc_html__('Card', 'campoal-tapo') . '
                            </a>
                            <a class="item" data-tab="share' .  esc_attr($id) . '">
                                <i class="share alternate square icon"></i>
                                ' .  esc_html__('Share', 'campoal-tapo') . '
                            </a>
                        </div>
                    </div>
                    <div class="ui active tab" data-tab="card' .  esc_attr($id) . '">
                        <div class="ui large form">
                            <div class="field">
                                <label><i class="expand icon"></i>' .  esc_html__('Iframe card', 'campoal-tapo') . '</label>
                                <textarea rows="3" id="embed-code' .  esc_attr($id) . '" readonly>' . esc_textarea('<iframe src="' . esc_url($embed_iframe) . '" width="' . esc_attr($embed_width) . 'px" height="' . esc_attr($embed_height) . 'px" scrolling="auto" frameborder="0"></iframe>') . '</textarea>
                            </div>
                            <div class="field alignright">
                                <div class="ui primary labeled icon button copy-embed" id="copy-embed' .  esc_attr($id) . '" data-id="' .  esc_attr($id) . '"><i class="copy outline icon"></i>' .  esc_html__('Copy', 'campoal-tapo') . '</div>
                            </div>
                            <div class="field">
                                <label><i class="html5 icon"></i>' .  esc_html__('HTML card', 'campoal-tapo') . '</label>
                                <textarea rows="3" id="embed-html-code' .  esc_attr($id) . '" readonly>' .  $card_inline . '</textarea>
                            </div>
                            <div class="field alignright">
                                <div class="ui primary labeled icon button copy-html-embed" id="copy-html-embed' .  esc_attr($id) . '" data-id="' .  esc_attr($id) . '"><i class="copy outline icon"></i>' .  esc_html__('Copy', 'campoal-tapo') . '</div>
                            </div>
                            <div class="field" id="msg-embed-copy' .  esc_attr($id) . '"></div>
                        </div>
                    </div>
                    <div class="ui tab" data-tab="share' .  esc_attr($id) . '">
                        <div class="ui large form">
                            <div class="field">
                                <label><i class="expand icon"></i>' .  esc_html__('Iframe share', 'campoal-tapo') . '</label>
                                <textarea rows="3" id="embed-code-share' .  esc_attr($id) . '" readonly>' .  esc_textarea('<iframe src="' . esc_url($share_iframe) . '" width="' . esc_attr($share_width) . 'px" height="' . esc_attr($share_height) . 'px" scrolling="auto" frameborder="0"></iframe>') . '</textarea>
                            </div>
                            <div class="field alignright">
                                <div class="ui primary labeled icon button copy-embed-share" id="copy-embed-share' .  esc_attr($id) . '" data-id="' .  esc_attr($id) . '"><i class="copy outline icon"></i>' .  esc_html__('Copy', 'campoal-tapo') . '</div>
                            </div>
                            <div class="field">
                                <label><i class="html5 icon"></i>' .  esc_html__('HTML share', 'campoal-tapo') . '</label>
                                <textarea rows="3" id="embed-html-code-share' .  esc_attr($id) . '" readonly>' .  $share_inline . '</textarea>
                            </div>
                            <div class="field alignright">
                                <div class="ui primary labeled icon button copy-html-embed-share" id="copy-html-embed-share' .  esc_attr($id) . '" data-id="' .  esc_attr($id) . '"><i class="copy outline icon"></i>' .  esc_html__('Copy', 'campoal-tapo') . '</div>
                            </div>
                            <div class="field" id="msg-embed-copy-share' .  esc_attr($id) . '"></div>
                        </div>
                    </div>
                </div>
                <div class="actions">
                    <div class="ui cancel button" data-id="' .  esc_attr($id) . '">' .  esc_html__('Close', 'campoal-tapo') . '</div>
                    <div class="ui cancel primary labeled icon button" data-id="' .  esc_attr($id) . '"><i class="check icon"></i>' .  esc_html__("I'm done!", 'campoal-tapo') . '</div>
                </div>
            </div>';
            }
        }

        if ($desktop_only == 1 && wp_is_mobile()) {
            return false;
        } else {
            return $return_string;
        }
    
    }
}

?>