<?php

/*
/ Render sticky category block in html
*/

if (!function_exists('conikal_sticky_category_render')) :
    function conikal_sticky_category_render($attrs, $content = null) {
        extract(shortcode_atts(array(
            'title' => '',
            'align' => 'left',
            'size'  => 'medium',
            'menu_size' => 'medium',
            'no_sticky' => 0,
            'hide_copyright' => 0,
        ), $attrs));

        global $campoal_options;

        $copyright = isset($campoal_options['conikal_copyright_field']) ? $campoal_options['conikal_copyright_field'] : ''; ?>

        <?php if ( $no_sticky == 0 ) : ?>
            <div class="ui sticky" id="sign-category">
        <?php endif; ?>
            <?php if ( !empty($title) ) : ?>
                <h3 class="ui dividing <?php echo esc_attr($size) ?> <?php echo esc_attr($align) . ' aligned' ?> header widget-title">
                    <?php echo esc_html($title) ?>
                </h3>
            <?php endif; ?>
            <div class="ui secondary vertical fluid <?php echo esc_attr($menu_size) ?> menu category-menu">
                <?php conikal_custom_menu('category'); ?>
            </div>
            <div class="sidebar-footer">
                <div class="ui divider"></div>
                <div class="ui text small right menu sidebar-menu">
                    <?php conikal_custom_menu('footer') ?>
                </div>
                <?php if($copyright != '' && $hide_copyright == 0) { ?>
                    <div class="copyright"><?php echo sprintf( wp_kses_post($copyright ? $copyright : __('© %1$s %2$s by Conikal.', 'campoal-tapo')), date('Y'), get_bloginfo('name')); ?></div>
                <?php } ?>
            </div>

        <?php if ( $no_sticky == 0 ) : ?>
            </div>
        <?php endif; ?>

    <?php }
endif; ?>